import { Alert as Alert$1, Button as Button$1, Badge as Badge$1, Breadcrumb as Breadcrumb$1, Card as Card$1, CardBody as CardBody$1, CardText as CardText$1, CardTitle as CardTitle$1, Collapse as Collapse$1, NavbarBrand, Navbar, Container, Row, Col, NavbarToggler, Modal as Modal$1, ModalBody as ModalBody$1, ModalFooter as ModalFooter$1, Nav as Nav$1, FormGroup, Label, Input as Input$1, Dropdown as Dropdown$2, DropdownToggle as DropdownToggle$1 } from 'reactstrap';
export { Popover as A, BreadcrumbItem as B, CardColumns as C, PopoverBody as D, PopoverHeader as E, Fade as F, TabPane as G, Table as H, InputGroup as I, Tooltip as J, UncontrolledCollapse as K, Label as L, Media as M, NavItem as N, UncontrolledTooltip as O, PaginationItem as P, Util as Q, Row as R, TabContent as T, UncontrolledAlert as U, ButtonGroup as a, ButtonToolbar as b, CardDeck as c, CardFooter as d, CardGroup as e, CardHeader as f, CardImg as g, CardImgOverlay as h, CardLink as i, CardSubtitle as j, Col as k, Container as l, Form as m, FormFeedback as n, FormGroup as o, FormText as p, InputGroupText as q, ListGroup as r, ListGroupItem as s, ListGroupItemHeading as t, ListGroupItemText as u, NavLink as v, Navbar as w, NavbarBrand as x, NavbarToggler as y, PaginationLink as z } from 'reactstrap';
import React__default, { useState, useCallback, useEffect, useLayoutEffect, useRef, createContext, useContext, useMemo, createRef, Fragment } from 'react';
import classNames from 'classnames';
import { Transition } from 'react-transition-group';
import { Dropdown as Dropdown$1 } from 'bootstrap-italia';
import { StickyProvider, Sticky } from 'react-stickup';
import isNumber from 'is-number';
import { useToast, cssTransition, useToastContainer, toast } from 'react-toastify';

function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;
  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }
  return target;
}
function _unsupportedIterableToArray(o, minLen) {
  if (!o) return;
  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor) n = o.constructor.name;
  if (n === "Map" || n === "Set") return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}
function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length) len = arr.length;
  for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];
  return arr2;
}
function _createForOfIteratorHelperLoose(o, allowArrayLike) {
  var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"];
  if (it) return (it = it.call(o)).next.bind(it);
  if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") {
    if (it) o = it;
    var i = 0;
    return function () {
      if (i >= o.length) return {
        done: true
      };
      return {
        done: false,
        value: o[i++]
      };
    };
  }
  throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}

var _excluded = ["tag", "className", "background", "iconLeft", "testId"];
var Accordion = function Accordion(_ref) {
  var _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    className = _ref.className,
    background = _ref.background,
    _ref$iconLeft = _ref.iconLeft,
    iconLeft = _ref$iconLeft === void 0 ? false : _ref$iconLeft,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded);
  var Tag = tag;
  var classes = classNames('accordion', className, {
    'accordion-background-active': background === 'active',
    'accordion-background-hover': background === 'hover',
    'accordion-left-icon': iconLeft
  });
  return React__default.createElement(Tag, Object.assign({}, attributes, {
    className: classes,
    "data-testid": testId
  }));
};

var noop = function noop() {};
var logError = function logError(message) {
  if (typeof console !== 'undefined') {
    if (console.error) {
      console.error(message);
    } else {
      console.log(message);
    }
  }
};
var messages = {};
var notifyDeprecation = function notifyDeprecation(message, options) {
  if (options === void 0) {
    options = {
      once: true
    };
  }
  if (!options.once) {
    logError(message);
  } else {
    if (!messages[message]) {
      logError(message);
      messages[message] = 1;
    }
  }
};
function mapToCssModules(className, cssModules) {
  var finalClassNames = className == null ? '' : className;
  if (!cssModules) {
    return finalClassNames;
  }
  return finalClassNames.split(' ').map(function (klass) {
    var _cssModules$klass;
    return (_cssModules$klass = cssModules[klass]) != null ? _cssModules$klass : klass;
  }).join(' ');
}
function pick(obj, keys) {
  var keysArray = Array.isArray(keys) ? keys : [keys];
  var newObj = {};
  for (var _iterator = _createForOfIteratorHelperLoose(keysArray), _step; !(_step = _iterator()).done;) {
    var key = _step.value;
    if (key in obj) {
      newObj[key] = obj[key];
    }
  }
  return newObj;
}
function omit(obj, keys) {
  var keysLookup = new Set(Array.isArray(keys) ? keys : [keys]);
  var newObj = {};
  for (var key in obj) {
    if (!keysLookup.has(key)) {
      newObj[key] = obj[key];
    }
  }
  return newObj;
}

// Taken from Reactstrap utils.js which are tken from bootstrap sass
var TransitionTimeouts = {
  // $transition-fade
  Fade: 150,
  // $transition-collapse
  Collapse: 350,
  // $modal-transition
  Modal: 300,
  // $carousel-transition
  Carousel: 600
};
// taken from Reactstrap utils.js
var TransitionsKeys = ['in', 'mountOnEnter', 'unmountOnExit', 'appear', 'enter', 'exit', 'timeout', 'onEnter', 'onEntering', 'onEntered', 'onExit', 'onExiting', 'onExited'];

var _excluded$1 = ["className", "listClassName", "tag", "active", "children", "timeout"];
// hardcode these entries to avoid leaks
var transitionStatusToClassHash = {
  entering: 'collapsing',
  entered: 'collapse show',
  exiting: 'collapsing',
  exited: 'collapse'
};
function getTransitionClass(status) {
  return transitionStatusToClassHash[status] || 'collapse';
}
function getHeight(node) {
  return node.scrollHeight;
}
var AccordionBody = function AccordionBody(_ref) {
  var className = _ref.className,
    listClassName = _ref.listClassName,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    _ref$active = _ref.active,
    active = _ref$active === void 0 ? false : _ref$active,
    children = _ref.children,
    _ref$timeout = _ref.timeout,
    timeout = _ref$timeout === void 0 ? TransitionTimeouts.Collapse : _ref$timeout,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$1);
  var _useState = useState(null),
    height = _useState[0],
    setHeight = _useState[1];
  var onEntering = useCallback(function (node, isAppearing) {
    setHeight(getHeight(node));
    attributes.onEntering == null ? void 0 : attributes.onEntering(node, isAppearing);
  }, [attributes.onEntering]);
  var onEntered = useCallback(function (node, isAppearing) {
    setHeight(null);
    attributes.onEntered == null ? void 0 : attributes.onEntered(node, isAppearing);
  }, [attributes.onEntered]);
  var onExit = useCallback(function (node) {
    setHeight(getHeight(node));
    attributes.onExit == null ? void 0 : attributes.onExit(node);
  }, [attributes.onExit]);
  var onExiting = useCallback(function (node) {
    setHeight(0);
    attributes.onExiting == null ? void 0 : attributes.onExiting(node);
  }, [attributes.onExiting]);
  var onExited = useCallback(function (node) {
    setHeight(null);
    attributes.onExited == null ? void 0 : attributes.onExited(node);
  }, [attributes.onExited]);
  var Tag = tag;
  var transitionProps = pick(attributes, TransitionsKeys);
  var childProps = omit(attributes, TransitionsKeys);
  return React__default.createElement(Transition, Object.assign({}, transitionProps, {
    timeout: timeout,
    "in": active,
    onEntering: onEntering,
    onEntered: onEntered,
    onExit: onExit,
    onExiting: onExiting,
    onExited: onExited
  }), function (status) {
    var transitionClass = getTransitionClass(status);
    var classes = classNames(className, transitionClass);
    var listClasses = classNames(listClassName, 'accordion-body');
    var style = height == null ? null : {
      height: height
    };
    return React__default.createElement(Tag, Object.assign({
      className: classes,
      style: _extends({}, childProps.style, style)
    }, childProps), React__default.createElement("div", {
      className: listClasses
    }, children));
  });
};
// }

var _excluded$2 = ["className", "tag", "active", "append", "onToggle", "testId"];
var AccordionHeader = function AccordionHeader(_ref) {
  var className = _ref.className,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'button' : _ref$tag,
    _ref$active = _ref.active,
    active = _ref$active === void 0 ? false : _ref$active,
    append = _ref.append,
    onToggle = _ref.onToggle,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$2);
  var Tag = tag;
  var toggleClasses = classNames(className, 'accordion-button', {
    collapsed: !active
  });
  return React__default.createElement("div", {
    className: 'accordion-header',
    "data-testid": testId
  }, React__default.createElement(Tag, Object.assign({
    "data-bs-toggle": 'collapse',
    "aria-expanded": active ? 'true' : 'false',
    className: toggleClasses,
    onClick: onToggle
  }, attributes, tag === 'button' && {
    type: 'button'
  })), append);
};

var _excluded$3 = ["tag", "className"];
var AccordionItem = function AccordionItem(_ref) {
  var _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    className = _ref.className,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$3);
  var Tag = tag;
  var classes = classNames('accordion-item', className);
  return React__default.createElement(Tag, Object.assign({}, attributes, {
    className: classes
  }));
};

var _excluded$4 = ["testId"];
var defaultProps = {
  color: 'success',
  isOpen: true,
  fade: true
};
var Alert = function Alert(_ref) {
  var testId = _ref.testId,
    props = _objectWithoutPropertiesLoose(_ref, _excluded$4);
  return React__default.createElement(Alert$1, Object.assign({
    "data-testid": testId
  }, props));
};
Alert.defaultProps = defaultProps;

var _excluded$5 = ["className", "tag", "testId"];
var AvatarContainer = function AvatarContainer(_ref) {
  var className = _ref.className,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$5);
  var Tag = tag;
  var wrapperClasses = classNames('d-flex align-items-center justify-content-around flex-wrap flex-sm-nowrap', className);
  return React__default.createElement(Tag, Object.assign({}, attributes, {
    className: wrapperClasses,
    "data-testid": testId
  }));
};

var _excluded$6 = ["className", "tag", "testId"];
var AvatarExtraText = function AvatarExtraText(_ref) {
  var className = _ref.className,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$6);
  var Tag = tag;
  var wrapperClass = classNames('extra-text', className);
  return React__default.createElement(Tag, Object.assign({
    className: wrapperClass
  }, attributes, {
    "data-testid": testId
  }));
};

var _excluded$7 = ["className", "tag", "wrapperClassName", "testId"];
var AvatarGroupContainer = function AvatarGroupContainer(_ref) {
  var _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'ul' : _ref$tag,
    wrapperClassName = _ref.wrapperClassName,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$7);
  var Tag = tag;
  var wrapperClasses = classNames('avatar-group-stacked', wrapperClassName);
  return React__default.createElement(Tag, Object.assign({}, attributes, {
    className: wrapperClasses,
    "data-testid": testId
  }));
};

var _excluded$8 = ["className", "tag", "size", "href", "color", "innerRef", "testId", "children"];
var AvatarIcon = function AvatarIcon(_ref) {
  var _classNames;
  var _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    _ref$size = _ref.size,
    size = _ref$size === void 0 ? 'md' : _ref$size,
    href = _ref.href,
    color = _ref.color,
    innerRef = _ref.innerRef,
    testId = _ref.testId,
    children = _ref.children,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$8);
  var Tag = tag;
  var typeClass = classNames('avatar', (_classNames = {}, _classNames["size-" + size] = size, _classNames["avatar-" + color] = color, _classNames));
  if (href) {
    return React__default.createElement("a", Object.assign({
      href: href
    }, attributes, {
      className: typeClass,
      ref: innerRef,
      "data-testid": testId
    }), children);
  }
  return React__default.createElement(Tag, Object.assign({}, attributes, {
    className: typeClass,
    "data-testid": testId
  }), children);
};

var _excluded$9 = ["className", "tag", "presence", "testId"];
var AvatarPresence = function AvatarPresence(_ref) {
  var _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    presence = _ref.presence,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$9);
  var Tag = tag;
  var typeClass = classNames('avatar-presence', {
    presence: presence
  });
  return React__default.createElement(Tag, Object.assign({}, attributes, {
    className: typeClass,
    "data-testid": testId
  }));
};

var _excluded$a = ["className", "tag", "status", "testId"];
var AvatarStatus = function AvatarStatus(_ref) {
  var _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    status = _ref.status,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$a);
  var Tag = tag;
  var typeClass = classNames('avatar-status', {
    status: status
  });
  return React__default.createElement(Tag, Object.assign({}, attributes, {
    className: typeClass,
    "data-testid": testId
  }));
};

var _excluded$b = ["className", "tag", "extra", "testId"];
var AvatarWrapper = function AvatarWrapper(_ref) {
  var _classNames;
  var className = _ref.className,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    extra = _ref.extra,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$b);
  var Tag = tag;
  var wrapperClass = classNames('avatar-wrapper', className, (_classNames = {}, _classNames["avatar-extra-" + extra] = extra, _classNames));
  return React__default.createElement(Tag, Object.assign({}, attributes, {
    className: wrapperClass,
    "data-testid": testId
  }));
};

var iconList = {
  'it-android-square': true,
  'it-android': true,
  'it-apple-square': true,
  'it-apple': true,
  'it-arrow-down-circle': true,
  'it-arrow-down-triangle': true,
  'it-arrow-down': true,
  'it-arrow-left-circle': true,
  'it-arrow-left-triangle': true,
  'it-arrow-left': true,
  'it-arrow-right-circle': true,
  'it-arrow-right-triangle': true,
  'it-arrow-right': true,
  'it-arrow-up-circle': true,
  'it-arrow-up-triangle': true,
  'it-arrow-up': true,
  'it-ban': true,
  'it-behance': true,
  'it-bookmark': true,
  'it-box': true,
  'it-burger': true,
  'it-calendar': true,
  'it-camera': true,
  'it-card': true,
  'it-chart-line': true,
  'it-check-circle': true,
  'it-check': true,
  'it-chevron-left': true,
  'it-chevron-right': true,
  'it-clip': true,
  'it-clock': true,
  'it-close-big': true,
  'it-close-circle': true,
  'it-close': true,
  'it-code-circle': true,
  'it-collapse': true,
  'it-comment': true,
  'it-copy': true,
  'it-delete': true,
  'it-designers-italia': true,
  'it-download': true,
  'it-error': true,
  'it-exchange-circle': true,
  'it-expand': true,
  'it-external-link': true,
  'it-facebook-square': true,
  'it-facebook': true,
  'it-figma-square': true,
  'it-figma': true,
  'it-file-audio': true,
  'it-file-compressed': true,
  'it-file-csv': true,
  'it-file-json': true,
  'it-file-odp': true,
  'it-file-ods': true,
  'it-file-odt': true,
  'it-file-pdf-ext': true,
  'it-file-pdf': true,
  'it-file-ppt': true,
  'it-file-sheet': true,
  'it-file-slides': true,
  'it-file-txt': true,
  'it-file-video': true,
  'it-file-xml': true,
  'it-file': true,
  'it-files': true,
  'it-flag': true,
  'it-flickr-square': true,
  'it-flickr': true,
  'it-folder': true,
  'it-fullscreen': true,
  'it-funnel': true,
  'it-github': true,
  'it-google': true,
  'it-hearing': true,
  'it-help-circle': true,
  'it-help': true,
  'it-horn': true,
  'it-inbox': true,
  'it-info-circle': true,
  'it-instagram': true,
  'it-key': true,
  'it-less-circle': true,
  'it-link': true,
  'it-linkedin-square': true,
  'it-linkedin': true,
  'it-list': true,
  'it-lock': true,
  'it-locked': true,
  'it-logout': true,
  'it-mail-open': true,
  'it-mail': true,
  'it-map-marker-circle': true,
  'it-map-marker-minus': true,
  'it-map-marker-plus': true,
  'it-map-marker': true,
  'it-mastodon-square': true,
  'it-mastodon': true,
  'it-maximize-alt': true,
  'it-maximize': true,
  'it-medium-square': true,
  'it-medium': true,
  'it-minimize': true,
  'it-minus-circle': true,
  'it-minus': true,
  'it-moodle-square': true,
  'it-moodle': true,
  'it-more-actions': true,
  'it-more-items': true,
  'it-note': true,
  'it-open-source': true,
  'it-pa': true,
  'it-password-invisible': true,
  'it-password-visible': true,
  'it-pencil': true,
  'it-piattaforme': true,
  'it-pin': true,
  'it-pinterest-square': true,
  'it-pinterest': true,
  'it-plug': true,
  'it-plus-circle': true,
  'it-plus': true,
  'it-presentation': true,
  'it-print': true,
  'it-quora-square': true,
  'it-quora': true,
  'it-reddit-square': true,
  'it-reddit': true,
  'it-refresh': true,
  'it-restore': true,
  'it-rss-square': true,
  'it-rss': true,
  'it-search': true,
  'it-settings': true,
  'it-share': true,
  'it-slack-square': true,
  'it-slack': true,
  'it-snapchat-square': true,
  'it-snapchat': true,
  'it-software': true,
  'it-stackexchange-square': true,
  'it-stackexchange': true,
  'it-stackoverflow-square': true,
  'it-stackoverflow': true,
  'it-star-full': true,
  'it-star-outline': true,
  'it-team-digitale': true,
  'it-telegram': true,
  'it-telephone': true,
  'it-tiktok-square': true,
  'it-tiktok': true,
  'it-tool': true,
  'it-threads-square': true,
  'it-threads': true,
  'it-twitter-square': true,
  'it-twitter': true,
  'it-unlocked': true,
  'it-upload': true,
  'it-user': true,
  'it-video': true,
  'it-vimeo-square': true,
  'it-vimeo': true,
  'it-warning-circle': true,
  'it-warning': true,
  'it-whatsapp-square': true,
  'it-whatsapp': true,
  'it-wifi': true,
  'it-youtube': true,
  'it-zoom-in': true,
  'it-zoom-out': true
};
var loadIcon = function loadIcon(name) {
  switch (name) {
    case 'it-android-square':
      {
        return import('./ItAndroidSquare-a18e36a4.js');
      }
    case 'it-android':
      {
        return import('./ItAndroid-87269459.js');
      }
    case 'it-apple-square':
      {
        return import('./ItAppleSquare-1093c3ba.js');
      }
    case 'it-apple':
      {
        return import('./ItApple-941c68f3.js');
      }
    case 'it-arrow-down-circle':
      {
        return import('./ItArrowDownCircle-2a6311d5.js');
      }
    case 'it-arrow-down-triangle':
      {
        return import('./ItArrowDownTriangle-8024504b.js');
      }
    case 'it-arrow-down':
      {
        return import('./ItArrowDown-5bb1967e.js');
      }
    case 'it-arrow-left-circle':
      {
        return import('./ItArrowLeftCircle-23a8ce19.js');
      }
    case 'it-arrow-left-triangle':
      {
        return import('./ItArrowLeftTriangle-d4d44044.js');
      }
    case 'it-arrow-left':
      {
        return import('./ItArrowLeft-e6d35719.js');
      }
    case 'it-arrow-right-circle':
      {
        return import('./ItArrowRightCircle-602038bf.js');
      }
    case 'it-arrow-right-triangle':
      {
        return import('./ItArrowRightTriangle-2308256c.js');
      }
    case 'it-arrow-right':
      {
        return import('./ItArrowRight-38f8b1a7.js');
      }
    case 'it-arrow-up-circle':
      {
        return import('./ItArrowUpCircle-2b14e7be.js');
      }
    case 'it-arrow-up-triangle':
      {
        return import('./ItArrowUpTriangle-3e9641ad.js');
      }
    case 'it-arrow-up':
      {
        return import('./ItArrowUp-e6af953f.js');
      }
    case 'it-ban':
      {
        return import('./ItBan-66fa49d7.js');
      }
    case 'it-behance':
      {
        return import('./ItBehance-b66d8bbe.js');
      }
    case 'it-bookmark':
      {
        return import('./ItBookmark-2b320f40.js');
      }
    case 'it-box':
      {
        return import('./ItBox-3d310856.js');
      }
    case 'it-burger':
      {
        return import('./ItBurger-1325b2f1.js');
      }
    case 'it-calendar':
      {
        return import('./ItCalendar-793fe86b.js');
      }
    case 'it-camera':
      {
        return import('./ItCamera-9a8d2549.js');
      }
    case 'it-card':
      {
        return import('./ItCard-13682045.js');
      }
    case 'it-chart-line':
      {
        return import('./ItChartLine-11e006c6.js');
      }
    case 'it-check-circle':
      {
        return import('./ItCheckCircle-f6f05a88.js');
      }
    case 'it-check':
      {
        return import('./ItCheck-397f4ffd.js');
      }
    case 'it-chevron-left':
      {
        return import('./ItChevronLeft-7aabc44c.js');
      }
    case 'it-chevron-right':
      {
        return import('./ItChevronRight-e1a67ac9.js');
      }
    case 'it-clip':
      {
        return import('./ItClip-49ac9013.js');
      }
    case 'it-clock':
      {
        return import('./ItClock-19e0b399.js');
      }
    case 'it-close-big':
      {
        return import('./ItCloseBig-71821543.js');
      }
    case 'it-close-circle':
      {
        return import('./ItCloseCircle-e2c9ba96.js');
      }
    case 'it-close':
      {
        return import('./ItClose-0c58b107.js');
      }
    case 'it-code-circle':
      {
        return import('./ItCodeCircle-ed3eaf53.js');
      }
    case 'it-collapse':
      {
        return import('./ItCollapse-6c58f415.js');
      }
    case 'it-comment':
      {
        return import('./ItComment-8fe17470.js');
      }
    case 'it-copy':
      {
        return import('./ItCopy-b6c81d46.js');
      }
    case 'it-delete':
      {
        return import('./ItDelete-10062320.js');
      }
    case 'it-designers-italia':
      {
        return import('./ItDesignersItalia-b0ba4b67.js');
      }
    case 'it-download':
      {
        return import('./ItDownload-eb7f926b.js');
      }
    case 'it-error':
      {
        return import('./ItError-0fe7637c.js');
      }
    case 'it-exchange-circle':
      {
        return import('./ItExchangeCircle-d57f715e.js');
      }
    case 'it-expand':
      {
        return import('./ItExpand-affab345.js');
      }
    case 'it-external-link':
      {
        return import('./ItExternalLink-27bf09f0.js');
      }
    case 'it-facebook-square':
      {
        return import('./ItFacebookSquare-7845e81c.js');
      }
    case 'it-facebook':
      {
        return import('./ItFacebook-43942983.js');
      }
    case 'it-figma-square':
      {
        return import('./ItFigmaSquare-d9c7172d.js');
      }
    case 'it-figma':
      {
        return import('./ItFigma-d3223819.js');
      }
    case 'it-file-audio':
      {
        return import('./ItFileAudio-f7628a65.js');
      }
    case 'it-file-compressed':
      {
        return import('./ItFileCompressed-b709710c.js');
      }
    case 'it-file-csv':
      {
        return import('./ItFileCsv-e627df90.js');
      }
    case 'it-file-json':
      {
        return import('./ItFileJson-6fcef7a6.js');
      }
    case 'it-file-odp':
      {
        return import('./ItFileOdp-d47d6b2c.js');
      }
    case 'it-file-ods':
      {
        return import('./ItFileOds-8c38d86e.js');
      }
    case 'it-file-odt':
      {
        return import('./ItFileOdt-7a012f94.js');
      }
    case 'it-file-pdf-ext':
      {
        return import('./ItFilePdfExt-5ce540cf.js');
      }
    case 'it-file-pdf':
      {
        return import('./ItFilePdf-22e46838.js');
      }
    case 'it-file-ppt':
      {
        return import('./ItFilePpt-951e9fd9.js');
      }
    case 'it-file-sheet':
      {
        return import('./ItFileSheet-3f0c0982.js');
      }
    case 'it-file-slides':
      {
        return import('./ItFileSlides-b8c7e6ee.js');
      }
    case 'it-file-txt':
      {
        return import('./ItFileTxt-618e8bf7.js');
      }
    case 'it-file-video':
      {
        return import('./ItFileVideo-35e210e7.js');
      }
    case 'it-file-xml':
      {
        return import('./ItFileXml-dfec9d6b.js');
      }
    case 'it-file':
      {
        return import('./ItFile-9432a995.js');
      }
    case 'it-files':
      {
        return import('./ItFiles-edd7c971.js');
      }
    case 'it-flag':
      {
        return import('./ItFlag-d9365a9b.js');
      }
    case 'it-flickr-square':
      {
        return import('./ItFlickrSquare-42219f68.js');
      }
    case 'it-flickr':
      {
        return import('./ItFlickr-df53f287.js');
      }
    case 'it-folder':
      {
        return import('./ItFolder-a9204cfa.js');
      }
    case 'it-fullscreen':
      {
        return import('./ItFullscreen-b4ee6392.js');
      }
    case 'it-funnel':
      {
        return import('./ItFunnel-715e68cd.js');
      }
    case 'it-github':
      {
        return import('./ItGithub-ce0f8492.js');
      }
    case 'it-google':
      {
        return import('./ItGoogle-8ec39fc4.js');
      }
    case 'it-hearing':
      {
        return import('./ItHearing-3cae656b.js');
      }
    case 'it-help-circle':
      {
        return import('./ItHelpCircle-6c951807.js');
      }
    case 'it-help':
      {
        return import('./ItHelp-eec03064.js');
      }
    case 'it-horn':
      {
        return import('./ItHorn-e3d0fe69.js');
      }
    case 'it-inbox':
      {
        return import('./ItInbox-d5c0bbb5.js');
      }
    case 'it-info-circle':
      {
        return import('./ItInfoCircle-998ea30e.js');
      }
    case 'it-instagram':
      {
        return import('./ItInstagram-be32a769.js');
      }
    case 'it-key':
      {
        return import('./ItKey-0e01b03b.js');
      }
    case 'it-less-circle':
      {
        return import('./ItLessCircle-7f9cf3b7.js');
      }
    case 'it-link':
      {
        return import('./ItLink-dae5a1a0.js');
      }
    case 'it-linkedin-square':
      {
        return import('./ItLinkedinSquare-9ddf6f36.js');
      }
    case 'it-linkedin':
      {
        return import('./ItLinkedin-970eefae.js');
      }
    case 'it-list':
      {
        return import('./ItList-c5da5d6d.js');
      }
    case 'it-lock':
      {
        return import('./ItLock-6537de03.js');
      }
    case 'it-locked':
      {
        return import('./ItLocked-742130ca.js');
      }
    case 'it-logout':
      {
        return import('./ItLogout-03d8a14f.js');
      }
    case 'it-mail-open':
      {
        return import('./ItMailOpen-8adf90d6.js');
      }
    case 'it-mail':
      {
        return import('./ItMail-c7f3653a.js');
      }
    case 'it-map-marker-circle':
      {
        return import('./ItMapMarkerCircle-67697f6a.js');
      }
    case 'it-map-marker-minus':
      {
        return import('./ItMapMarkerMinus-6e41468b.js');
      }
    case 'it-map-marker-plus':
      {
        return import('./ItMapMarkerPlus-1ebf3ebc.js');
      }
    case 'it-map-marker':
      {
        return import('./ItMapMarker-4d74fb0a.js');
      }
    case 'it-mastodon-square':
      {
        return import('./ItMastodonSquare-f199146d.js');
      }
    case 'it-mastodon':
      {
        return import('./ItMastodon-1230c5fb.js');
      }
    case 'it-maximize-alt':
      {
        return import('./ItMaximizeAlt-29d9361c.js');
      }
    case 'it-maximize':
      {
        return import('./ItMaximize-96e83836.js');
      }
    case 'it-medium-square':
      {
        return import('./ItMediumSquare-c50c667a.js');
      }
    case 'it-medium':
      {
        return import('./ItMedium-60b7536b.js');
      }
    case 'it-minimize':
      {
        return import('./ItMinimize-53e0c2c3.js');
      }
    case 'it-minus-circle':
      {
        return import('./ItMinusCircle-37cb8036.js');
      }
    case 'it-minus':
      {
        return import('./ItMinus-c4789870.js');
      }
    case 'it-moodle-square':
      {
        return import('./ItMoodleSquare-a691be05.js');
      }
    case 'it-moodle':
      {
        return import('./ItMoodle-af7ca5aa.js');
      }
    case 'it-more-actions':
      {
        return import('./ItMoreActions-5326d5ad.js');
      }
    case 'it-more-items':
      {
        return import('./ItMoreItems-25ca89b8.js');
      }
    case 'it-note':
      {
        return import('./ItNote-53b88dd4.js');
      }
    case 'it-open-source':
      {
        return import('./ItOpenSource-c22d04fd.js');
      }
    case 'it-pa':
      {
        return import('./ItPa-76d12a90.js');
      }
    case 'it-password-invisible':
      {
        return import('./ItPasswordInvisible-689a4475.js');
      }
    case 'it-password-visible':
      {
        return import('./ItPasswordVisible-c7047b88.js');
      }
    case 'it-pencil':
      {
        return import('./ItPencil-d0cade4d.js');
      }
    case 'it-piattaforme':
      {
        return import('./ItPiattaforme-52c135f8.js');
      }
    case 'it-pin':
      {
        return import('./ItPin-6191034b.js');
      }
    case 'it-pinterest-square':
      {
        return import('./ItPinterestSquare-b9b44069.js');
      }
    case 'it-pinterest':
      {
        return import('./ItPinterest-63c3bc36.js');
      }
    case 'it-plug':
      {
        return import('./ItPlug-77b04632.js');
      }
    case 'it-plus-circle':
      {
        return import('./ItPlusCircle-6d7b8494.js');
      }
    case 'it-plus':
      {
        return import('./ItPlus-4433fbad.js');
      }
    case 'it-presentation':
      {
        return import('./ItPresentation-d1a2e686.js');
      }
    case 'it-print':
      {
        return import('./ItPrint-1ff8e414.js');
      }
    case 'it-quora-square':
      {
        return import('./ItQuoraSquare-0214897e.js');
      }
    case 'it-quora':
      {
        return import('./ItQuora-03b811ca.js');
      }
    case 'it-reddit-square':
      {
        return import('./ItRedditSquare-d1889b8f.js');
      }
    case 'it-reddit':
      {
        return import('./ItReddit-80c90e8f.js');
      }
    case 'it-refresh':
      {
        return import('./ItRefresh-a5aa29c6.js');
      }
    case 'it-restore':
      {
        return import('./ItRestore-2751dcd1.js');
      }
    case 'it-rss-square':
      {
        return import('./ItRssSquare-abeec98e.js');
      }
    case 'it-rss':
      {
        return import('./ItRss-7ebdf548.js');
      }
    case 'it-search':
      {
        return import('./ItSearch-fc8f701f.js');
      }
    case 'it-settings':
      {
        return import('./ItSettings-1b72c9fa.js');
      }
    case 'it-share':
      {
        return import('./ItShare-affdb0a2.js');
      }
    case 'it-slack-square':
      {
        return import('./ItSlackSquare-b8301874.js');
      }
    case 'it-slack':
      {
        return import('./ItSlack-7b15cc59.js');
      }
    case 'it-snapchat-square':
      {
        return import('./ItSnapchatSquare-46728a34.js');
      }
    case 'it-snapchat':
      {
        return import('./ItSnapchat-6b207285.js');
      }
    case 'it-software':
      {
        return import('./ItSoftware-f868e828.js');
      }
    case 'it-stackexchange-square':
      {
        return import('./ItStackexchangeSquare-b2121a1c.js');
      }
    case 'it-stackexchange':
      {
        return import('./ItStackexchange-dee3e413.js');
      }
    case 'it-stackoverflow-square':
      {
        return import('./ItStackoverflowSquare-c6a2f47f.js');
      }
    case 'it-stackoverflow':
      {
        return import('./ItStackoverflow-1d7e849f.js');
      }
    case 'it-star-full':
      {
        return import('./ItStarFull-bb4fe6ab.js');
      }
    case 'it-star-outline':
      {
        return import('./ItStarOutline-8c2278d6.js');
      }
    case 'it-team-digitale':
      {
        return import('./ItTeamDigitale-0dece63d.js');
      }
    case 'it-telegram':
      {
        return import('./ItTelegram-fffdd1b4.js');
      }
    case 'it-telephone':
      {
        return import('./ItTelephone-fe4be339.js');
      }
    case 'it-tiktok-square':
      {
        return import('./ItTiktokSquare-a90c0712.js');
      }
    case 'it-tiktok':
      {
        return import('./ItTiktok-9555b018.js');
      }
    case 'it-tool':
      {
        return import('./ItTool-87b9dab8.js');
      }
    case 'it-threads-square':
      {
        return import('./ItThreadsSquare-8d36a5d2.js');
      }
    case 'it-threads':
      {
        return import('./ItThreads-6b635233.js');
      }
    case 'it-twitter-square':
      {
        return import('./ItTwitterSquare-f2802f8b.js');
      }
    case 'it-twitter':
      {
        return import('./ItTwitter-ed95250d.js');
      }
    case 'it-unlocked':
      {
        return import('./ItUnlocked-6024d66b.js');
      }
    case 'it-upload':
      {
        return import('./ItUpload-9b303a4a.js');
      }
    case 'it-user':
      {
        return import('./ItUser-72c7b3ad.js');
      }
    case 'it-video':
      {
        return import('./ItVideo-45c46ef1.js');
      }
    case 'it-vimeo-square':
      {
        return import('./ItVimeoSquare-90100f83.js');
      }
    case 'it-vimeo':
      {
        return import('./ItVimeo-34b22dea.js');
      }
    case 'it-warning-circle':
      {
        return import('./ItWarningCircle-49d6cc4d.js');
      }
    case 'it-warning':
      {
        return import('./ItWarning-39e7d685.js');
      }
    case 'it-whatsapp-square':
      {
        return import('./ItWhatsappSquare-0eefd50c.js');
      }
    case 'it-whatsapp':
      {
        return import('./ItWhatsapp-0bdcd4c8.js');
      }
    case 'it-wifi':
      {
        return import('./ItWifi-3af64a22.js');
      }
    case 'it-youtube':
      {
        return import('./ItYoutube-924dfa88.js');
      }
    case 'it-zoom-in':
      {
        return import('./ItZoomIn-4a8b737d.js');
      }
    case 'it-zoom-out':
      {
        return import('./ItZoomOut-f67bbe87.js');
      }
    default:
      throw Error("It should not land here. Requested icon: \"" + name + "\"");
  }
};
function isBundledIcon(name) {
  return name in iconList;
}
var allIcons = /*#__PURE__*/Object.keys(iconList);

var _excluded$c = ["title", "titleId"];
var EmptyIcon = function EmptyIcon(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutPropertiesLoose(_ref, _excluded$c);
  return React__default.createElement("svg", Object.assign({
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 24 24'
  }, props), title ? React__default.createElement("title", {
    id: titleId
  }, title) : null, React__default.createElement("path", {
    fill: 'none',
    d: 'M0 0h24v24H0z'
  }));
};

var _excluded$d = ["color", "size", "icon", "title", "className", "padding", "onIconLoad", "testId"];
var iconsList = allIcons;
var iconsCache = {};
/**
 * Preload a list of icons in cache
 * @param icons - the list of icons to preload
 * @returns true if the icons have been preloaded
 */
function preloadIcons(icons) {
  return Promise.all(icons.map(function (icon) {
    return loadIcon(icon);
  })).then(function (preloadedIcons) {
    preloadedIcons.forEach(function (_ref, i) {
      var component = _ref.component;
      iconsCache[icons[i]] = function () {
        return component;
      };
    });
    return true;
  });
}
/**
 * Removes icons from cache
 * @param icon? - the icon to remove, or nothing to clear the whole cache
 * @returns an object containing the removed icons
 */
var clearIconCache = function clearIconCache(iconName) {
  var deletedItems;
  if (iconName) {
    var _deletedItems;
    deletedItems = (_deletedItems = {}, _deletedItems[iconName] = iconsCache[iconName], _deletedItems);
    delete iconsCache[iconName];
  } else {
    deletedItems = _extends({}, iconsCache);
    iconsCache = {};
  }
  return deletedItems;
};
var Icon = function Icon(_ref2) {
  var _classNames;
  var _ref2$color = _ref2.color,
    color = _ref2$color === void 0 ? '' : _ref2$color,
    _ref2$size = _ref2.size,
    size = _ref2$size === void 0 ? '' : _ref2$size,
    _ref2$icon = _ref2.icon,
    icon = _ref2$icon === void 0 ? '' : _ref2$icon,
    _ref2$title = _ref2.title,
    title = _ref2$title === void 0 ? 'icon' : _ref2$title,
    className = _ref2.className,
    _ref2$padding = _ref2.padding,
    padding = _ref2$padding === void 0 ? false : _ref2$padding,
    onIconLoad = _ref2.onIconLoad,
    testId = _ref2.testId,
    attributes = _objectWithoutPropertiesLoose(_ref2, _excluded$d);
  var _useState = useState(iconsCache[icon]),
    IconComponent = _useState[0],
    setCurrentIcon = _useState[1];
  var classes = classNames('icon', className, (_classNames = {}, _classNames["icon-" + color] = color, _classNames["icon-" + size] = size, _classNames['icon-padded'] = padding, _classNames));
  useEffect(function () {
    if (isBundledIcon(icon) && !iconsCache[icon]) {
      loadIcon(icon).then(function (_ref3) {
        var component = _ref3.component;
        iconsCache[icon] = function () {
          return component;
        };
        setCurrentIcon(iconsCache[icon]);
        onIconLoad == null ? void 0 : onIconLoad();
      });
    } else {
      if (IconComponent !== iconsCache[icon]) {
        setCurrentIcon(iconsCache[icon]);
      }
      onIconLoad == null ? void 0 : onIconLoad();
    }
  }, [IconComponent, icon, onIconLoad]);
  if (!isBundledIcon(icon)) {
    // assume it's an image and let the browser do its job
    return React__default.createElement("img", Object.assign({
      src: icon,
      className: classes,
      alt: title,
      "data-testid": testId
    }, attributes));
  }
  if (!IconComponent) {
    return React__default.createElement(EmptyIcon, Object.assign({
      className: classes,
      role: 'img'
    }, attributes, {
      "data-testid": testId
    }));
  }
  return React__default.createElement(IconComponent, Object.assign({
    className: classes,
    role: 'img',
    title: title,
    "data-testid": testId
  }, attributes));
};

var _excluded$e = ["tag", "icon", "color", "className", "testId"];
var Button = function Button(_ref) {
  var _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'button' : _ref$tag,
    _ref$icon = _ref.icon,
    icon = _ref$icon === void 0 ? false : _ref$icon,
    _ref$color = _ref.color,
    color = _ref$color === void 0 ? '' : _ref$color,
    className = _ref.className,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$e);
  var classes = classNames(className, {
    'btn-icon': icon
  });
  var ariaAttributes = _extends({}, attributes.disabled && {
    'aria-disabled': true
  });
  var baseProps = {
    color: color,
    tag: tag
  };
  return React__default.createElement(Button$1, Object.assign({
    className: classes,
    "data-testid": testId
  }, baseProps, attributes, ariaAttributes));
};

var backToTop = function backToTop() {
  window.scrollTo({
    top: 0,
    behavior: 'smooth'
  });
};
var BackToTop = function BackToTop(_ref) {
  var className = _ref.className,
    _ref$dark = _ref.dark,
    dark = _ref$dark === void 0 ? false : _ref$dark,
    _ref$small = _ref.small,
    small = _ref$small === void 0 ? false : _ref$small,
    _ref$shadow = _ref.shadow,
    shadow = _ref$shadow === void 0 ? false : _ref$shadow,
    _ref$showOffset = _ref.showOffset,
    showOffset = _ref$showOffset === void 0 ? 200 : _ref$showOffset;
  var _useState = useState(false),
    showBtn = _useState[0],
    setShowBtn = _useState[1];
  useLayoutEffect(function () {
    window.addEventListener('scroll', function () {
      if (window.scrollY > showOffset) {
        setShowBtn(true);
      } else {
        setShowBtn(false);
      }
    });
  }, [showOffset]);
  return React__default.createElement(Button, {
    "aria-hidden": 'true',
    tabIndex: -1,
    className: classNames(className, 'back-to-top', small && 'back-to-top-small', showBtn && 'back-to-top-show', dark && 'dark', shadow && 'shadow'),
    id: 'back-to-top-btn',
    onClick: backToTop,
    style: {
      padding: 0
    },
    color: !dark ? 'primary' : ''
  }, React__default.createElement(Icon, {
    color: dark ? 'secondary' : 'white',
    icon: 'it-arrow-up',
    style: {
      top: 0
    }
  }));
};

var _excluded$f = ["color", "pill", "tag", "children", "testId"];
var Badge = function Badge(_ref) {
  var _ref$color = _ref.color,
    color = _ref$color === void 0 ? 'secondary' : _ref$color,
    _ref$pill = _ref.pill,
    pill = _ref$pill === void 0 ? false : _ref$pill,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'span' : _ref$tag,
    children = _ref.children,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$f);
  return React__default.createElement(Badge$1, Object.assign({
    color: color,
    pill: pill,
    tag: tag
  }, attributes, {
    "data-testid": testId
  }), children);
};

var _excluded$g = ["tag", "testId"];
var BottomNav = function BottomNav(_ref) {
  var _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'nav' : _ref$tag,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$g);
  var Tag = tag;
  return React__default.createElement(Tag, {
    className: 'bottom-nav',
    "data-testid": testId
  }, React__default.createElement("ul", Object.assign({}, attributes)));
};

var _excluded$h = ["active", "badge", "alert", "url", "srText", "iconName", "label", "tag", "onLinkClick", "link", "testId"];
var BottomNavItem = function BottomNavItem(_ref) {
  var _ref$active = _ref.active,
    active = _ref$active === void 0 ? false : _ref$active,
    badge = _ref.badge,
    _ref$alert = _ref.alert,
    alert = _ref$alert === void 0 ? false : _ref$alert,
    url = _ref.url,
    srText = _ref.srText,
    _ref$iconName = _ref.iconName,
    iconName = _ref$iconName === void 0 ? 'it-comment' : _ref$iconName,
    label = _ref.label,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'a' : _ref$tag,
    onLinkClick = _ref.onLinkClick,
    link = _ref.link,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$h);
  var Tag = tag;
  var activeClass = classNames({
    active: active
  });
  var badgeWrapper = Boolean(badge) && React__default.createElement("div", {
    className: 'badge-wrapper'
  }, React__default.createElement("span", {
    className: 'bottom-nav-badge'
  }, badge));
  var alertWrapper = Boolean(alert) && React__default.createElement("div", {
    className: 'badge-wrapper'
  }, React__default.createElement("span", {
    className: 'bottom-nav-alert'
  }));
  return React__default.createElement("li", Object.assign({}, attributes, {
    "data-testid": testId
  }), React__default.createElement(Tag, {
    href: url || link || '#',
    className: activeClass,
    onClick: onLinkClick
  }, badgeWrapper, alertWrapper, React__default.createElement(Icon, {
    icon: iconName
  }), React__default.createElement("span", {
    className: 'bottom-nav-label'
  }, label, srText ? React__default.createElement("span", {
    className: 'visually-hidden'
  }, srText) : null)));
};

var _excluded$i = ["className", "listClassName", "dark", "aria-label", "testId"];
var Breadcrumb = function Breadcrumb(_ref) {
  var className = _ref.className,
    listClassName = _ref.listClassName,
    dark = _ref.dark,
    label = _ref['aria-label'],
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$i);
  var classes = classNames(className, 'breadcrumb-container');
  var listClasses = classNames(listClassName, {
    dark: dark
  }, dark && 'px-3');
  var ariaLabel = label != null ? label : 'Percorso di navigazione';
  return React__default.createElement(Breadcrumb$1, Object.assign({
    className: classes,
    listClassName: listClasses,
    "aria-label": ariaLabel,
    "data-testid": testId
  }, attributes));
};

var _excluded$j = ["children", "color", "highlight", "className", "detailed", "tag", "testId"];
var Callout = function Callout(_ref) {
  var children = _ref.children,
    _ref$color = _ref.color,
    color = _ref$color === void 0 ? '' : _ref$color,
    _ref$highlight = _ref.highlight,
    highlight = _ref$highlight === void 0 ? false : _ref$highlight,
    className = _ref.className,
    detailed = _ref.detailed,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$j);
  var Tag = tag;
  var classes = classNames(className, color, 'callout', {
    'callout-highlight': highlight,
    'callout-more': detailed
  });
  return React__default.createElement(Tag, Object.assign({
    className: classes
  }, attributes, {
    "data-testid": testId
  }), !highlight && !detailed ? React__default.createElement("div", {
    className: 'callout-inner'
  }, children) : children);
};

var _excluded$k = ["id", "tag", "className", "fileUrl", "children"];
var CalloutMoreFooter = function CalloutMoreFooter(_ref) {
  var _ref$id = _ref.id,
    id = _ref$id === void 0 ? 'cm-footer' : _ref$id,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    className = _ref.className,
    fileUrl = _ref.fileUrl,
    children = _ref.children,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$k);
  var Tag = tag;
  var classes = classNames('collapse-div', className);
  var _useState = useState(false),
    isOpen = _useState[0],
    setOpen = _useState[1];
  return React__default.createElement(Tag, Object.assign({}, attributes, {
    className: classes
  }), React__default.createElement("div", {
    className: 'collapse-header',
    id: id + "-heading"
  }, React__default.createElement(Button, {
    color: 'primary',
    className: 'callout-more-toggle',
    onClick: function onClick() {
      return setOpen(!isOpen);
    },
    "aria-controls": id + "-collapse",
    "aria-expanded": isOpen,
    style: {
      fontFamily: 'var(--bs-font-sans-serif)',
      fontSize: '1rem'
    }
  }, "Leggi tutto ", React__default.createElement("span", null)), fileUrl && React__default.createElement("a", {
    className: 'callout-more-download',
    href: fileUrl,
    style: {
      fontFamily: 'var(--bs-font-sans-serif)',
      fontSize: '1rem'
    }
  }, React__default.createElement(Icon, {
    icon: 'it-download'
  }), React__default.createElement("span", {
    className: 'visually-hidden'
  }, "PDF"), "Download")), React__default.createElement("div", {
    className: "collapse " + (isOpen ? 'show' : ''),
    role: 'tabpanel',
    id: id + "-collapse",
    "aria-labelledby": id + "-heading"
  }, React__default.createElement("div", {
    className: 'collapse-body'
  }, children)));
};

var _excluded$l = ["bigText", "children", "className", "tag", "testId"];
var CalloutText = function CalloutText(_ref) {
  var _ref$bigText = _ref.bigText,
    bigText = _ref$bigText === void 0 ? false : _ref$bigText,
    children = _ref.children,
    className = _ref.className,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'p' : _ref$tag,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$l);
  var Tag = tag;
  var classes = classNames(className, {
    'callout-big-text': bigText
  });
  return React__default.createElement(Tag, Object.assign({
    className: classes
  }, attributes, {
    "data-testid": testId
  }), children);
};

var _excluded$m = ["children", "className", "tag", "testId"];
var CalloutTitle = function CalloutTitle(_ref) {
  var children = _ref.children,
    className = _ref.className,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$m);
  var Tag = tag;
  var classes = classNames(className, 'callout-title');
  return React__default.createElement(Tag, Object.assign({
    className: classes
  }, attributes, {
    "data-testid": testId
  }), children);
};

var _excluded$n = ["tag", "href", "teaser", "spacing", "noWrapper", "wrapperClassName", "testId"];
var Card = function Card(_ref) {
  var _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    _ref$href = _ref.href,
    href = _ref$href === void 0 ? undefined : _ref$href,
    teaser = _ref.teaser,
    spacing = _ref.spacing,
    _ref$noWrapper = _ref.noWrapper,
    noWrapper = _ref$noWrapper === void 0 ? false : _ref$noWrapper,
    wrapperClassName = _ref.wrapperClassName,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$n);
  var wrapperClasses = classNames('card-wrapper', wrapperClassName, {
    'card-space': spacing,
    'card-teaser-wrapper': teaser
  });
  var cardClasses = classNames(attributes.className, {
    'card-teaser': teaser
  });
  if (noWrapper) {
    return React__default.createElement(Card$1, Object.assign({}, attributes, {
      className: cardClasses,
      tag: tag,
      href: tag === 'a' ? href : undefined,
      "data-testid": testId
    }));
  }
  return React__default.createElement("div", {
    className: wrapperClasses,
    "data-testid": testId
  }, React__default.createElement(Card$1, Object.assign({}, attributes, {
    className: cardClasses,
    tag: tag,
    href: tag === 'a' ? href : undefined
  })));
};

var _excluded$o = ["tag", "testId"];
var CardBody = function CardBody(_ref) {
  var _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    testId = _ref.testId,
    props = _objectWithoutPropertiesLoose(_ref, _excluded$o);
  return React__default.createElement(CardBody$1, Object.assign({}, props, {
    tag: tag,
    "data-testid": testId
  }));
};

var _excluded$p = ["iconName", "date", "href", "onClick", "testId", "children"];
var CardCategory = function CardCategory(_ref) {
  var iconName = _ref.iconName,
    date = _ref.date,
    href = _ref.href,
    onClick = _ref.onClick,
    testId = _ref.testId,
    children = _ref.children,
    rest = _objectWithoutPropertiesLoose(_ref, _excluded$p);
  var classes = classNames({
    'category-top': date || ' ',
    'categoryicon-top': iconName
  });
  // Simple category link
  var categoryLink = !iconName && React__default.createElement("a", {
    href: href,
    className: 'category',
    onClick: onClick
  }, children);
  var categoryDate = date && React__default.createElement("span", {
    className: 'data'
  }, date);
  // Category with icon
  var categoryText = iconName && React__default.createElement("span", {
    className: 'text'
  }, children);
  var categoryIcon = iconName && React__default.createElement(Icon, {
    icon: iconName
  });
  return React__default.createElement("div", Object.assign({
    className: classes
  }, rest, {
    "data-testid": testId
  }), categoryLink, categoryIcon, categoryText, categoryDate);
};

var _excluded$q = ["className", "tag", "testId"];
var CardFooterCTA = function CardFooterCTA(_ref) {
  var className = _ref.className,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$q);
  var Tag = tag;
  var classes = classNames(className, 'it-card-footer');
  return React__default.createElement(Tag, Object.assign({
    className: classes
  }, attributes, {
    "data-testid": testId
  }));
};

var _excluded$r = ["className", "text", "iconName", "tag", "href", "testId"];
var CardReadMore = function CardReadMore(_ref) {
  var className = _ref.className,
    text = _ref.text,
    _ref$iconName = _ref.iconName,
    iconName = _ref$iconName === void 0 ? 'it-arrow-right' : _ref$iconName,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'a' : _ref$tag,
    href = _ref.href,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$r);
  var Tag = tag;
  var classes = classNames(className, 'read-more');
  return React__default.createElement(Tag, Object.assign({
    className: classes,
    href: href
  }, attributes, {
    "data-testid": testId
  }), React__default.createElement("span", {
    className: 'text'
  }, text), iconName && React__default.createElement(Icon, {
    icon: iconName
  }));
};

var _excluded$s = ["className", "tag", "testId"];
var CardSignature = function CardSignature(_ref) {
  var className = _ref.className,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'span' : _ref$tag,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$s);
  var Tag = tag;
  var classes = classNames(className, 'card-signature');
  return React__default.createElement(Tag, Object.assign({
    className: classes
  }, attributes, {
    "data-testid": testId
  }));
};

var _excluded$t = ["className", "tag", "testId"];
var CardTag = function CardTag(_ref) {
  var className = _ref.className,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'a' : _ref$tag,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$t);
  var Tag = tag;
  var classes = classNames(className, 'card-tag');
  return React__default.createElement(Tag, Object.assign({
    className: classes
  }, attributes, {
    "data-testid": testId
  }));
};

var _excluded$u = ["date", "children", "className", "tag", "testId"];
var CardTagsHeader = function CardTagsHeader(_ref) {
  var date = _ref.date,
    children = _ref.children,
    className = _ref.className,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$u);
  var Tag = tag;
  var classes = classNames('head-tags', className);
  return React__default.createElement(Tag, Object.assign({
    className: classes
  }, attributes, {
    "data-testid": testId
  }), children, date && React__default.createElement("span", {
    className: 'data'
  }, date));
};

var CardText = function CardText(props) {
  return React__default.createElement(CardText$1, Object.assign({}, props, {
    "data-testid": props.testId
  }));
};

var CardTitle = function CardTitle(props) {
  return React__default.createElement(CardTitle$1, Object.assign({}, props, {
    "data-testid": props.testId
  }));
};

var _excluded$v = ["className", "color", "tag", "simple", "large", "disabled", "testId"];
var Chip = function Chip(_ref) {
  var _classNames;
  var className = _ref.className,
    _ref$color = _ref.color,
    color = _ref$color === void 0 ? '' : _ref$color,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    _ref$simple = _ref.simple,
    simple = _ref$simple === void 0 ? false : _ref$simple,
    _ref$large = _ref.large,
    large = _ref$large === void 0 ? false : _ref$large,
    _ref$disabled = _ref.disabled,
    disabled = _ref$disabled === void 0 ? false : _ref$disabled,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$v);
  var Tag = tag;
  var classes = classNames('chip', className, (_classNames = {
    'chip-simple': simple,
    'chip-lg': large,
    'chip-disabled': disabled
  }, _classNames["chip-" + color] = color, _classNames));
  return React__default.createElement(Tag, Object.assign({
    className: classes
  }, attributes, {
    "data-testid": testId
  }));
};

var _excluded$w = ["className", "tag", "testId"];
var ChipLabel = function ChipLabel(_ref) {
  var className = _ref.className,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'span' : _ref$tag,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$w);
  var Tag = tag;
  var classes = classNames(className, 'chip-label');
  return React__default.createElement(Tag, Object.assign({}, attributes, {
    className: classes,
    "data-testid": testId
  }));
};

var _excluded$x = ["header", "className", "navbar", "megamenu", "children", "isOpen", "onOverlayClick", "cssModule", "testId"];
var Collapse = function Collapse(_ref) {
  var _ref$header = _ref.header,
    header = _ref$header === void 0 ? false : _ref$header,
    className = _ref.className,
    navbar = _ref.navbar,
    megamenu = _ref.megamenu,
    children = _ref.children,
    _ref$isOpen = _ref.isOpen,
    isOpen = _ref$isOpen === void 0 ? false : _ref$isOpen,
    onOverlayClick = _ref.onOverlayClick,
    cssModule = _ref.cssModule,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$x);
  var newCssModule = _extends({
    'navbar-collapse': 'navbar-collapsable'
  }, cssModule);
  if (megamenu || navbar || header) {
    var _classes = classNames(className, 'navbar-collapse', {
      expanded: isOpen
    });
    var style = {
      display: isOpen ? 'block' : 'none'
    };
    return React__default.createElement(Collapse$1, Object.assign({
      className: _classes,
      cssModule: newCssModule,
      navbar: navbar,
      style: style,
      "data-testid": testId
    }, attributes), React__default.createElement("div", {
      className: 'overlay',
      style: style,
      onClick: onOverlayClick
    }), React__default.createElement("div", {
      className: 'close-div visually-hidden'
    }, React__default.createElement("button", {
      className: 'btn close-menu',
      type: 'button'
    }, React__default.createElement("span", {
      className: 'it-close'
    }), "close")), megamenu ? React__default.createElement("div", {
      className: 'menu-wrapper'
    }, children) : React__default.createElement(React__default.Fragment, null, children));
  }
  var classes = classNames(className, {
    'link-list-wrapper': header
  });
  return React__default.createElement(Collapse$1, Object.assign({
    className: classes,
    cssModule: newCssModule
  }, attributes, {
    navbar: navbar,
    isOpen: isOpen,
    "data-testid": testId
  }), children);
};

var _excluded$y = ["icon", "color", "className", "wrapperClassName", "testId"],
  _excluded2 = ["children"];
var Dimmer = function Dimmer(_ref) {
  var _classNames;
  var icon = _ref.icon,
    color = _ref.color,
    className = _ref.className,
    wrapperClassName = _ref.wrapperClassName,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$y);
  var children = attributes.children,
    rest = _objectWithoutPropertiesLoose(attributes, _excluded2);
  var classes = classNames('dimmer', wrapperClassName === true ? className : wrapperClassName, (_classNames = {}, _classNames["dimmer-" + color] = color, _classNames));
  var innerClasses = classNames('dimmer-inner', className);
  var dimmerIcon = icon && React__default.createElement("div", {
    className: 'dimmer-icon'
  }, React__default.createElement(Icon, {
    icon: icon
  }));
  return React__default.createElement("div", Object.assign({
    className: classes
  }, rest, {
    style: {
      display: 'flex'
    },
    "data-testid": testId
  }), React__default.createElement("div", Object.assign({
    className: innerClasses
  }, rest), dimmerIcon, children));
};

var _excluded$z = ["color", "className", "single", "dark", "testId"],
  _excluded2$1 = ["children"];
var DimmerButtons = function DimmerButtons(_ref) {
  var className = _ref.className,
    _ref$single = _ref.single,
    single = _ref$single === void 0 ? false : _ref$single,
    _ref$dark = _ref.dark,
    dark = _ref$dark === void 0 ? true : _ref$dark,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$z);
  var children = attributes.children,
    rest = _objectWithoutPropertiesLoose(attributes, _excluded2$1);
  var classes = classNames('dimmer-buttons', className, {
    'bg-dark': dark,
    'single-button': single
  });
  return React__default.createElement("div", Object.assign({
    className: classes
  }, rest, {
    "data-testid": testId
  }), children);
};

var _excluded$A = ["className", "testId", "tag", "children", "inNavbar", "textCenter"];
var Dropdown = function Dropdown(_ref) {
  var className = _ref.className,
    testId = _ref.testId,
    tag = _ref.tag,
    children = _ref.children,
    inNavbar = _ref.inNavbar,
    textCenter = _ref.textCenter,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$A);
  var classes = classNames(className, {
    dropdown: true,
    'text-center': textCenter,
    'nav-item': inNavbar
  });
  var Tag = tag !== undefined ? tag : 'div';
  return React__default.createElement(Tag, Object.assign({
    className: classes,
    "data-testid": testId
  }, attributes), children);
};

var _excluded$B = ["className", "testId", "children"];
var DropdownMenu = function DropdownMenu(_ref) {
  var className = _ref.className,
    testId = _ref.testId,
    children = _ref.children,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$B);
  var classes = classNames(className, {
    'dropdown-menu': true
  });
  return React__default.createElement("div", Object.assign({
    className: classes,
    "data-testid": testId
  }, attributes), children);
};

var _excluded$C = ["className", "testId", "children", "caret", "tag", "inNavbar", "color"];
var DropdownToggle = function DropdownToggle(_ref) {
  var className = _ref.className,
    testId = _ref.testId,
    children = _ref.children,
    caret = _ref.caret,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'button' : _ref$tag,
    inNavbar = _ref.inNavbar,
    color = _ref.color,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$C);
  var toggleRef = useRef(null);
  var Tag = tag === 'a' || inNavbar ? 'a' : Button;
  useEffect(function () {
    if (toggleRef.current) {
      new Dropdown$1(toggleRef.current);
    }
  });
  var classes = classNames(className, {
    'btn-dropdown': Tag === 'a' && !inNavbar,
    'dropdown-toggle': true,
    'nav-link': inNavbar
  });
  var iconClasses = classNames({
    'icon-expand': true,
    'icon-sm': !inNavbar,
    'icon-xs': inNavbar,
    'ms-1': inNavbar,
    'icon-light': Tag.valueOf() !== 'a' ? true : false
  });
  return React__default.createElement(Tag, Object.assign({
    role: Tag.valueOf() === 'a' ? 'button' : undefined,
    color: color,
    ref: toggleRef,
    className: classes,
    "data-bs-toggle": 'dropdown',
    "aria-haspopup": 'true',
    "data-testid": testId
  }, attributes), children, caret === true ? React__default.createElement(Icon, {
    icon: 'it-expand',
    className: iconClasses
  }) : null);
};

var defaultFonts = ['Titillium Web:300,400,600,700:latin-ext', 'Lora:400,700:latin-ext', 'Roboto Mono:400,700:latin-ext'];
function useFontLoader(_ref) {
  var fonts = _ref.fonts;
  useEffect(function () {
    if (typeof window !== 'undefined') {
      var WebFont = require('webfontloader');
      WebFont.load({
        custom: {
          families: [].concat(defaultFonts, fonts || [])
        }
      });
    }
  }, [fonts]);
}
var FontLoader = function FontLoader(props) {
  useFontLoader(props);
  return null;
};

var _excluded$D = ["className", "scrollToRef", "children", "testId"];
var Forward = function Forward(_ref) {
  var className = _ref.className,
    scrollToRef = _ref.scrollToRef,
    children = _ref.children,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$D);
  var classes = classNames(className, 'forward');
  return React__default.createElement("a", Object.assign({
    className: classes,
    onClick: function onClick() {
      var _scrollToRef$current;
      return (_scrollToRef$current = scrollToRef.current) == null ? void 0 : _scrollToRef$current.scrollIntoView({
        behavior: 'smooth',
        block: 'start'
      });
    },
    "data-testid": testId
  }, attributes), children);
};

var goBack = function goBack() {
  window.history.back();
};
var GoBack = function GoBack(_ref) {
  var className = _ref.className,
    _ref$link = _ref.link,
    link = _ref$link === void 0 ? false : _ref$link,
    _ref$up = _ref.up,
    up = _ref$up === void 0 ? false : _ref$up,
    children = _ref.children;
  var Tag = link ? 'a' : Button;
  return React__default.createElement(Tag, {
    className: classNames(className, 'go-back'),
    color: 'primary',
    onClick: goBack
  }, React__default.createElement(Icon, {
    className: children ? 'me-2' : '',
    color: link ? 'primary' : 'white',
    icon: up ? 'it-arrow-up' : 'it-arrow-left'
  }), children);
};

var _excluded$E = ["tag", "className", "children", "testId"];
var GridItem = function GridItem(_ref) {
  var _ref$tag = _ref.tag,
    Tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    className = _ref.className,
    children = _ref.children,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$E);
  var classes = classNames('it-grid-item-wrapper', className);
  return React__default.createElement(Tag, Object.assign({}, attributes, {
    className: classes,
    "data-testid": testId
  }), children);
};

var _excluded$F = ["className", "children", "testId"];
var GridItemText = function GridItemText(_ref) {
  var className = _ref.className,
    children = _ref.children,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$F);
  var classes = classNames('it-griditem-text', className);
  return React__default.createElement("span", Object.assign({}, attributes, {
    className: classes,
    "data-testid": testId
  }), children);
};

var _excluded$G = ["className", "children", "testId"];
var GridItemTextWrapper = function GridItemTextWrapper(_ref) {
  var className = _ref.className,
    children = _ref.children,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$G);
  var classes = classNames('it-griditem-text-wrapper', className);
  return React__default.createElement("span", Object.assign({}, attributes, {
    className: classes,
    "data-testid": testId
  }), children);
};

var _excluded$H = ["className", "children", "testId"];
var GridList = function GridList(_ref) {
  var className = _ref.className,
    children = _ref.children,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$H);
  var classes = classNames('it-grid-list-wrapper', className);
  return React__default.createElement("div", Object.assign({}, attributes, {
    className: classes,
    "data-testid": testId
  }), children);
};

var _excluded$I = ["className", "children", "testId"];
var GridRow = function GridRow(_ref) {
  var className = _ref.className,
    children = _ref.children,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$I);
  var classes = classNames('grid-row', className);
  return React__default.createElement("div", Object.assign({}, attributes, {
    className: classes,
    "data-testid": testId
  }), children);
};

var SLIM = 'slim';
var CENTER = 'center';
var NAVBAR = 'navbar';
var HeaderContext = /*#__PURE__*/createContext({});
var useHeaderContext = function useHeaderContext() {
  var _useContext = useContext(HeaderContext),
    type = _useContext.type;
  return type;
};

var _excluded$J = ["className", "small", "theme", "type", "testId"];
var Header = function Header(_ref) {
  var _classNames;
  var className = _ref.className,
    _ref$small = _ref.small,
    small = _ref$small === void 0 ? false : _ref$small,
    _ref$theme = _ref.theme,
    theme = _ref$theme === void 0 ? '' : _ref$theme,
    type = _ref.type,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$J);
  // use context here as theme
  var classes = classNames(className, (_classNames = {}, _classNames["it-header-" + type + "-wrapper"] = type, _classNames['it-small-header'] = type === CENTER && small, _classNames["theme-" + theme] = type !== NAVBAR && theme, _classNames['theme-dark-mobile'] = type === NAVBAR && theme === 'dark', _classNames['theme-light-desk'] = type === NAVBAR && theme === 'light', _classNames));
  return React__default.createElement(HeaderContext.Provider, {
    value: {
      type: type
    }
  }, React__default.createElement("div", Object.assign({
    className: classes
  }, attributes, {
    "data-testid": testId
  })));
};

var _excluded$K = ["className", "href", "iconName", "iconAlt", "children", "tag", "responsive", "testId"];
var HeaderBrand = function HeaderBrand(_ref) {
  var className = _ref.className,
    href = _ref.href,
    iconName = _ref.iconName,
    iconAlt = _ref.iconAlt,
    children = _ref.children,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'a' : _ref$tag,
    _ref$responsive = _ref.responsive,
    responsive = _ref$responsive === void 0 ? false : _ref$responsive,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$K);
  var type = useHeaderContext();
  var defaultAttributes = {
    tag: tag
  };
  if (type !== CENTER) {
    var classes = classNames('d-lg-block', className, {
      'd-none': !responsive
    });
    return React__default.createElement(NavbarBrand, Object.assign({
      className: classes,
      href: href,
      "data-testid": testId
    }, attributes, defaultAttributes), children);
  }
  return React__default.createElement("div", {
    className: 'it-brand-wrapper',
    "data-testid": testId
  }, React__default.createElement("a", {
    href: href
  }, iconName && React__default.createElement(Icon, {
    icon: iconName,
    title: iconAlt
  }), React__default.createElement("div", {
    className: 'it-brand-text'
  }, React__default.Children.map(children, function (child, i) {
    if (typeof child !== 'object' || child == null || !('props' in child)) {
      return child;
    }
    // convention here: first item is the main title, while others subtext
    var className = classNames(child.props.className, {
      'd-none d-md-block': i
    } // subtext is anything but first element
    );

    var props = {
      className: className
    };
    return React__default.cloneElement(child, props);
  }))));
};

var _excluded$L = ["className", "megamenu", "testId"];
var HeaderContent = function HeaderContent(_ref) {
  var className = _ref.className,
    megamenu = _ref.megamenu,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$L);
  var type = useHeaderContext();
  var classes = classNames(className, {
    'it-header-slim-wrapper-content': type === SLIM,
    'it-header-center-content-wrapper': type === CENTER,
    navbar: type === NAVBAR,
    'has-megamenu': megamenu
  });
  var Content = type === NAVBAR ? React__default.createElement(Navbar, Object.assign({
    className: classes
  }, attributes, {
    "data-testid": testId
  })) : React__default.createElement("div", Object.assign({
    className: classes
  }, attributes, {
    "data-testid": testId
  }));
  return React__default.createElement(Container, null, React__default.createElement(Row, null, React__default.createElement(Col, null, Content)));
};

var _excluded$M = ["className", "testId"];
var HeaderLinkZone = function HeaderLinkZone(_ref) {
  var className = _ref.className,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$M);
  var classes = classNames(className);
  return React__default.createElement("div", {
    className: 'nav-mobile',
    "data-testid": testId
  }, React__default.createElement("nav", Object.assign({
    className: classes
  }, attributes)));
};

var _excluded$N = ["className", "testId"];
var HeaderRightZone = function HeaderRightZone(_ref) {
  var className = _ref.className,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$N);
  var type = useHeaderContext();
  var classes = classNames(className, {
    // BI >= 1.3.6
    'it-header-slim-right-zone': type === SLIM,
    // BI < 1.3.6
    'header-slim-right-zone': type === SLIM,
    'it-right-zone': type !== SLIM
  });
  return React__default.createElement("div", Object.assign({
    className: classes
  }, attributes, {
    "data-testid": testId
  }));
};

var _excluded$O = ["className", "label", "href", "iconName", "testId"];
var HeaderSearch = function HeaderSearch(_ref) {
  var className = _ref.className,
    label = _ref.label,
    href = _ref.href,
    _ref$iconName = _ref.iconName,
    iconName = _ref$iconName === void 0 ? 'it-search' : _ref$iconName,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$O);
  var classes = classNames('it-search-wrapper', className);
  return React__default.createElement("div", Object.assign({
    className: classes
  }, attributes, {
    "data-testid": testId
  }), label && React__default.createElement("span", {
    className: 'd-none d-md-block'
  }, label), React__default.createElement("a", {
    className: 'search-link rounded-icon',
    "aria-label": label,
    href: href
  }, React__default.createElement(Icon, {
    icon: iconName
  })));
};

var _excluded$P = ["className", "children", "label", "testId"];
var HeaderSocialsZone = function HeaderSocialsZone(_ref) {
  var className = _ref.className,
    children = _ref.children,
    label = _ref.label,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$P);
  var classes = classNames('it-socials d-none d-md-flex', className);
  return React__default.createElement("div", Object.assign({
    className: classes
  }, attributes, {
    "data-testid": testId
  }), label && React__default.createElement("span", null, label), children);
};

var _excluded$Q = ["className", "tag", "type", "testId"];
var BUTTON = 'button';
var HeaderToggler = function HeaderToggler(_ref) {
  var className = _ref.className,
    tag = _ref.tag,
    type = _ref.type,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$Q);
  var HeaderType = useHeaderContext();
  var defaultTag = HeaderType === SLIM ? 'a' : BUTTON;
  var defaultType = HeaderType === SLIM ? undefined : BUTTON;
  var classes = classNames({
    'it-opener d-lg-none': HeaderType === SLIM,
    'custom-navbar-toggler': HeaderType === NAVBAR
  }, className);
  useEffect(function () {
    document.querySelectorAll('.container-fluid').forEach(function (element) {
      element.classList.remove('container-fluid');
    });
  });
  return React__default.createElement(NavbarToggler, Object.assign({
    className: classes
  }, attributes, {
    tag: tag || defaultTag,
    type: type || defaultType,
    href: '#',
    "data-testid": testId
  }));
};

var _excluded$R = ["className", "shadow", "sticky", "testId"];
var Headers = function Headers(_ref) {
  var className = _ref.className,
    _ref$shadow = _ref.shadow,
    shadow = _ref$shadow === void 0 ? false : _ref$shadow,
    _ref$sticky = _ref.sticky,
    sticky = _ref$sticky === void 0 ? false : _ref$sticky,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$R);
  var classes = classNames('it-header-wrapper', {
    'it-shadow': shadow,
    'it-header-sticky': sticky
  }, className);
  if (!sticky) {
    return React__default.createElement("div", Object.assign({
      className: classes
    }, attributes, {
      "data-testid": testId
    }));
  }
  return React__default.createElement(StickyProvider, null, React__default.createElement(Sticky, {
    style: {
      position: 'sticky',
      zIndex: 2
    },
    "data-testid": testId
  }, React__default.createElement("div", Object.assign({
    className: classes
  }, attributes))));
};

var _excluded$S = ["tag", "small", "centered", "overlay", "overlap", "className", "testId"];
var Hero = function Hero(_ref) {
  var _classname;
  var _ref$tag = _ref.tag,
    Tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    small = _ref.small,
    centered = _ref.centered,
    overlay = _ref.overlay,
    overlap = _ref.overlap,
    className = _ref.className,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$S);
  var classes = classNames('it-hero-wrapper', className, (_classname = {
    'it-overlay': overlay
  }, _classname['it-' + overlay] = overlay, _classname['it-hero-small-size'] = small, _classname['it-text-centered'] = centered, _classname['it-bottom-overlapping-content'] = overlap, _classname));
  return React__default.createElement(Tag, Object.assign({
    className: classes
  }, attributes, {
    "data-testid": testId
  }));
};

var _excluded$T = ["alt", "testId"];
var HeroBackground = function HeroBackground(_ref) {
  var alt = _ref.alt,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$T);
  return React__default.createElement("div", {
    className: 'img-responsive-wrapper',
    "data-testid": testId
  }, React__default.createElement("div", {
    className: 'img-responsive'
  }, React__default.createElement("div", {
    className: 'img-wrapper'
  }, React__default.createElement("img", Object.assign({}, attributes, {
    alt: alt
  })))));
};

var HeroBody = function HeroBody(_ref) {
  var children = _ref.children,
    className = _ref.className,
    testId = _ref.testId;
  var classes = classNames('it-hero-text-wrapper', 'bg-dark', className);
  return React__default.createElement(Container, null, React__default.createElement(Row, null, React__default.createElement(Col, null, React__default.createElement("div", {
    className: classes,
    "data-testid": testId
  }, children))));
};

var _excluded$U = ["wrapperClassName", "testId"];
var HeroButton = function HeroButton(_ref) {
  var wrapperClassName = _ref.wrapperClassName,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$U);
  var classes = classNames('it-btn-container', wrapperClassName);
  return React__default.createElement("div", {
    className: classes,
    "data-testid": testId
  }, React__default.createElement(Button, Object.assign({
    size: 'sm'
  }, attributes)));
};

var _excluded$V = ["className", "testId"];
var HeroCategory = function HeroCategory(_ref) {
  var className = _ref.className,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$V);
  var classes = classNames('it-category', className);
  return React__default.createElement("span", Object.assign({}, attributes, {
    className: classes,
    "data-testid": testId
  }));
};

var _excluded$W = ["tag", "className", "testId"];
var HeroTitle = function HeroTitle(_ref) {
  var _ref$tag = _ref.tag,
    Tag = _ref$tag === void 0 ? 'h1' : _ref$tag,
    className = _ref.className,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$W);
  var classes = classNames(className);
  return React__default.createElement(Tag, Object.assign({}, attributes, {
    className: classes,
    "data-testid": testId
  }));
};

var InputContainer = function InputContainer(_ref) {
  var id = _ref.id,
    infoId = _ref.infoId,
    infoText = _ref.infoText,
    testId = _ref.testId,
    activeClass = _ref.activeClass,
    extraLabelClass = _ref.extraLabelClass,
    label = _ref.label,
    validationTextClass = _ref.validationTextClass,
    validationText = _ref.validationText,
    wrapperClass = _ref.wrapperClass,
    children = _ref.children;
  return React__default.createElement("div", {
    className: wrapperClass,
    "data-testid": testId
  }, React__default.createElement("label", {
    htmlFor: id,
    className: activeClass + ' ' + extraLabelClass
  }, label), children, infoText && React__default.createElement("small", {
    id: infoId,
    className: 'form-text'
  }, infoText), React__default.createElement("div", {
    className: validationTextClass
  }, validationText));
};

function getFormControlClassInternal(_ref) {
  var plaintext = _ref.plaintext,
    staticInput = _ref.staticInput,
    _ref$type = _ref.type,
    type = _ref$type === void 0 ? 'text' : _ref$type,
    addon = _ref.addon,
    normalized = _ref.normalized;
  var formControlClass = 'form-control';
  if (plaintext || staticInput || normalized) {
    return formControlClass + "-plaintext";
  }
  if (type === 'file') {
    return formControlClass + "-file";
  }
  if (['radio', 'checkbox'].indexOf(type) > -1) {
    if (addon) {
      return null;
    }
  }
  return formControlClass;
}
function getFormControlClass(props, cssModule) {
  return mapToCssModules(getFormControlClassInternal(props), cssModule);
}
function getValidationTextControlClass(_ref2, cssModule) {
  var valid = _ref2.valid;
  return mapToCssModules(classNames({
    'form-text': true,
    'form-feedback just-validate-error-label': valid == false
  }), cssModule);
}
function getTag(_ref3) {
  var tag = _ref3.tag,
    plaintext = _ref3.plaintext,
    staticInput = _ref3.staticInput,
    _ref3$type = _ref3.type,
    type = _ref3$type === void 0 ? 'text' : _ref3$type;
  if (tag) {
    return tag;
  }
  if (['radio', 'checkbox'].indexOf(type) > -1) {
    return 'input';
  }
  if (plaintext || staticInput) {
    return 'p';
  }
  return 'input';
}
function getClasses(className, type, _ref4, cssModule) {
  var _classNames;
  var isFocused = _ref4.isFocused,
    valid = _ref4.valid,
    bsSize = _ref4.bsSize,
    placeholder = _ref4.placeholder,
    value = _ref4.value,
    label = _ref4.label,
    validationText = _ref4.validationText,
    normalized = _ref4.normalized,
    inputPassword = _ref4.inputPassword,
    formControlClass = _ref4.formControlClass,
    validationTextControlClass = _ref4.validationTextControlClass,
    originalWrapperClass = _ref4.originalWrapperClass;
  var hasPlainCondition = placeholder || label || validationText;
  var baseCondition = hasPlainCondition && !normalized && !inputPassword;
  var passwordOnlyCondition = inputPassword && !hasPlainCondition && !normalized;
  var normalizedOnlyCondition = normalized && !hasPlainCondition && !inputPassword;
  var classes = mapToCssModules(classNames(className, (_classNames = {
    'is-invalid': valid == false,
    'just-validate-success-field': valid
  }, _classNames["form-control-" + bsSize] = bsSize, _classNames), formControlClass), cssModule);
  var wrapperClass = mapToCssModules(classNames(className, originalWrapperClass, 'form-group'), cssModule);
  var validationTextClass = mapToCssModules(classNames({
    'valid-feedback': valid,
    'invalid-feedback form-feedback just-validate-error-label': valid == false
  }, validationTextControlClass), cssModule);
  var inputClasses = mapToCssModules(classNames(classes, !baseCondition && {
    // we can model here only if stylings
    'form-control-plaintext': normalizedOnlyCondition,
    'form-control': passwordOnlyCondition,
    'input-password': passwordOnlyCondition,
    'focus--mouse': passwordOnlyCondition || normalizedOnlyCondition
  }), cssModule);
  var activeClass = mapToCssModules(classNames({
    active: isFocused || placeholder || value || ['date', 'time'].includes(type)
  }), cssModule);
  var extraLabelClass = mapToCssModules(classNames({
    'input-number-label': ['number', 'currency', 'adaptive', 'percentage'].includes(type)
  }));
  return {
    wrapperClass: wrapperClass,
    inputClasses: inputClasses,
    activeClass: activeClass,
    extraLabelClass: extraLabelClass,
    validationTextClass: validationTextClass
  };
}
function useFocus(_ref5) {
  var onFocus = _ref5.onFocus,
    onBlur = _ref5.onBlur;
  var _useState = useState(false),
    isFocused = _useState[0],
    setFocus = _useState[1];
  var toggleFocusLabel = useCallback(function (e) {
    setFocus(true);
    onFocus == null ? void 0 : onFocus(e);
  }, [onFocus]);
  var toggleBlurLabel = useCallback(function (e) {
    if (e.target.value === '') {
      setFocus(!isFocused);
    }
    onBlur == null ? void 0 : onBlur(e);
  }, [isFocused, onBlur]);
  return {
    toggleFocusLabel: toggleFocusLabel,
    toggleBlurLabel: toggleBlurLabel,
    isFocused: isFocused
  };
}

var _excluded$X = ["id", "className", "cssModule", "type", "tag", "addon", "addonText", "static", "plaintext", "innerRef", "label", "incrementLabel", "decrementLabel", "validationText", "infoText", "placeholder", "normalized", "value", "wrapperClass", "wrapperClassName", "size", "testId", "noWrapper"],
  _excluded2$2 = ["bsSize", "valid"];
var Input = function Input(_ref) {
  var id = _ref.id,
    className = _ref.className,
    cssModule = _ref.cssModule,
    _ref$type = _ref.type,
    type = _ref$type === void 0 ? 'text' : _ref$type,
    tag = _ref.tag,
    addon = _ref.addon,
    addonText = _ref.addonText,
    staticInput = _ref["static"],
    plaintext = _ref.plaintext,
    innerRef = _ref.innerRef,
    label = _ref.label,
    incrementLabel = _ref.incrementLabel,
    decrementLabel = _ref.decrementLabel,
    validationText = _ref.validationText,
    infoText = _ref.infoText,
    placeholder = _ref.placeholder,
    normalized = _ref.normalized,
    value = _ref.value,
    originalWrapperClassOld = _ref.wrapperClass,
    originalWrapperClass = _ref.wrapperClassName,
    size = _ref.size,
    testId = _ref.testId,
    _ref$noWrapper = _ref.noWrapper,
    noWrapper = _ref$noWrapper === void 0 ? false : _ref$noWrapper,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$X);
  var _useState = useState(true),
    isHidden = _useState[0],
    setHidden = _useState[1];
  var _useState2 = useState(true),
    hasIcon = _useState2[0],
    toggleIcon = _useState2[1];
  var _useFocus = useFocus({
      onFocus: attributes.onFocus,
      onBlur: attributes.onBlur
    }),
    toggleFocusLabel = _useFocus.toggleFocusLabel,
    toggleBlurLabel = _useFocus.toggleBlurLabel,
    isFocused = _useFocus.isFocused;
  var toggleShow = useCallback(function () {
    setHidden(!isHidden);
    toggleIcon(!hasIcon);
  }, [hasIcon, isHidden]);
  var divResizeRef = useRef(null);
  var inputRef = useRef(null);
  var _useState3 = useState('100'),
    width = _useState3[0],
    setWidth = _useState3[1];
  useEffect(function () {
    if (divResizeRef.current != null && divResizeRef.current.classList.contains('input-number-adaptive')) {
      if (!value) {
        setWidth("calc(70px)");
      } else {
        setWidth("calc(70px + " + ("" + value).length + "ch)");
      }
    }
  }, [value]);
  var bsSize = attributes.bsSize,
    valid = attributes.valid,
    rest = _objectWithoutPropertiesLoose(attributes, _excluded2$2);
  var Tag = getTag({
    tag: tag,
    plaintext: plaintext,
    staticInput: staticInput,
    type: type
  });
  addon = addonText != null ? true : addon;
  var formControlClass = getFormControlClass({
    plaintext: plaintext,
    staticInput: staticInput,
    type: type,
    addon: addon,
    normalized: normalized
  }, cssModule);
  var validationTextControlClass = getValidationTextControlClass({
    valid: valid
  }, cssModule);
  var extraAttributes = {};
  if (size && !isNumber(size)) {
    notifyDeprecation('Please use the prop "bsSize" instead of the "size" to bootstrap\'s input sizing.');
    bsSize = size;
  } else {
    extraAttributes.size = size;
  }
  if (Tag === 'input' || typeof tag !== 'string') {
    extraAttributes.type = type;
  }
  // associate the input field with the help text
  var infoId = id ? id + "Description" : undefined;
  if (id) {
    extraAttributes['aria-describedby'] = infoId;
  }
  if (attributes.children && !(plaintext || staticInput || type === 'select' || typeof Tag !== 'string' || Tag === 'select')) {
    notifyDeprecation("Input with a type of \"" + type + "\" cannot have children. Please use \"value\"/\"defaultValue\" instead.");
    delete attributes.children;
  }
  var inputPassword = extraAttributes.type === 'password';
  var indeterminateCheckboxInput = type === 'checkbox' && (className == null ? void 0 : className.includes('semi-checked'));
  // Styling
  var _getClasses = getClasses(className, type, {
      valid: valid,
      bsSize: bsSize,
      placeholder: placeholder,
      value: value,
      label: label,
      validationText: validationText,
      normalized: Boolean(normalized),
      inputPassword: inputPassword,
      formControlClass: formControlClass,
      validationTextControlClass: validationTextControlClass,
      isFocused: isFocused,
      originalWrapperClass: originalWrapperClass || originalWrapperClassOld
    }, cssModule),
    activeClass = _getClasses.activeClass,
    extraLabelClass = _getClasses.extraLabelClass,
    validationTextClass = _getClasses.validationTextClass,
    inputClasses = _getClasses.inputClasses,
    wrapperClass = _getClasses.wrapperClass;
  // set of attributes always shared by the Input components
  var sharedAttributes = {
    id: id,
    onFocus: toggleFocusLabel,
    onBlur: toggleBlurLabel,
    value: value,
    ref: innerRef
  };
  // set of attributes always shared by the wrapper component
  var containerProps = {
    id: id,
    infoId: infoId,
    infoText: infoText,
    activeClass: activeClass,
    extraLabelClass: extraLabelClass,
    label: label,
    validationTextClass: validationTextClass,
    validationText: validationText,
    wrapperClass: wrapperClass
  };
  if (noWrapper) {
    return React__default.createElement(Tag, Object.assign({}, rest, extraAttributes, {
      className: inputClasses
    }, sharedAttributes, {
      placeholder: placeholder,
      "data-testid": testId
    }));
  }
  var clickIncrDecr = function clickIncrDecr(mode) {
    var _inputRef$current, _inputRef$current2, _inputRef$current3, _inputRef$current4, _Object$getOwnPropert, _inputRef$current5;
    var step = parseFloat((_inputRef$current = inputRef.current) != null && _inputRef$current.step ? inputRef.current.step : '1');
    var min = parseFloat((_inputRef$current2 = inputRef.current) != null && _inputRef$current2.min ? inputRef.current.min : 'Nan');
    var max = parseFloat((_inputRef$current3 = inputRef.current) != null && _inputRef$current3.max ? inputRef.current.max : 'Nan');
    step = isNaN(step) ? 1 : step;
    var newValue = parseFloat((_inputRef$current4 = inputRef.current) != null && _inputRef$current4.value ? inputRef.current.value : '0') + mode * step;
    if (!isNaN(max) && newValue > max) {
      return;
    }
    if (!isNaN(min) && newValue < min) {
      return;
    }
    var nativeInputValueSetter = (_Object$getOwnPropert = Object.getOwnPropertyDescriptor(window.HTMLInputElement.prototype, 'value')) == null ? void 0 : _Object$getOwnPropert.set;
    nativeInputValueSetter == null ? void 0 : nativeInputValueSetter.call(inputRef.current, "" + newValue);
    var ev2 = new Event('input', {
      bubbles: true
    });
    (_inputRef$current5 = inputRef.current) == null ? void 0 : _inputRef$current5.dispatchEvent(ev2);
  };
  if (['currency', 'percentage', 'adaptive', 'number'].includes(type)) {
    return React__default.createElement(InputContainer, Object.assign({}, containerProps), React__default.createElement("div", {
      className: classNames({
        'input-group': true,
        'input-number': true,
        disabled: rest.disabled,
        'input-number-percentage': type == 'percentage',
        'input-number-currency': type == 'currency',
        'input-number-adaptive': type == 'adaptive'
      }),
      style: {
        width: width
      },
      ref: divResizeRef
    }, ['currency', 'percentage'].includes(type) && React__default.createElement("span", {
      className: 'input-group-text fw-semibold'
    }, addonText), React__default.createElement(Tag, Object.assign({}, rest, extraAttributes, sharedAttributes, {
      className: inputClasses,
      "data-testid": testId,
      type: 'number',
      ref: inputRef
    })), React__default.createElement("span", {
      className: 'input-group-text align-buttons flex-column'
    }, React__default.createElement("button", {
      className: 'input-number-add',
      onClick: function onClick() {
        return clickIncrDecr(1);
      },
      type: 'button'
    }, React__default.createElement("span", {
      className: 'visually-hidden'
    }, incrementLabel || '')), React__default.createElement("button", {
      className: 'input-number-sub',
      onClick: function onClick() {
        return clickIncrDecr(-1);
      },
      type: 'button'
    }, React__default.createElement("span", {
      className: 'visually-hidden'
    }, decrementLabel || '')))));
  }
  if (placeholder) {
    return React__default.createElement(InputContainer, Object.assign({}, containerProps), React__default.createElement(Tag, Object.assign({}, rest, extraAttributes, sharedAttributes, {
      className: inputClasses,
      placeholder: placeholder,
      "data-testid": testId
    })));
  }
  if (indeterminateCheckboxInput) {
    return React__default.createElement(InputContainer, Object.assign({}, containerProps), React__default.createElement(Tag, Object.assign({}, rest, extraAttributes, sharedAttributes, {
      className: inputClasses,
      "data-testid": testId,
      indeterminate: 'true'
    })));
  }
  if (inputPassword) {
    return React__default.createElement(InputContainer, Object.assign({}, containerProps), React__default.createElement(Tag, Object.assign({}, rest, extraAttributes, sharedAttributes, {
      type: isHidden ? 'password' : 'text',
      className: inputClasses,
      placeholder: placeholder,
      "data-testid": testId
    })), React__default.createElement("span", {
      className: 'password-icon',
      "aria-hidden": 'true'
    }, React__default.createElement(Icon, {
      size: 'sm',
      icon: "it-password-" + (hasIcon ? 'visible' : 'invisible'),
      className: 'password-icon-visible',
      onClick: toggleShow
    })));
  }
  if (normalized) {
    return React__default.createElement(InputContainer, Object.assign({}, containerProps), React__default.createElement(Tag, Object.assign({}, rest, extraAttributes, sharedAttributes, {
      className: inputClasses,
      "data-testid": testId,
      readOnly: true
    })));
  }
  if (label || validationText) {
    return React__default.createElement(InputContainer, Object.assign({}, containerProps), React__default.createElement(Tag, Object.assign({}, rest, extraAttributes, sharedAttributes, {
      className: inputClasses,
      "data-testid": testId
    })));
  }
  return React__default.createElement(Tag, Object.assign({}, rest, extraAttributes, {
    className: inputClasses
  }, sharedAttributes, {
    "data-testid": testId
  }));
};

var _excluded$Y = ["id", "className", "cssModule", "innerRef", "label", "validationText", "infoText", "placeholder", "normalized", "value", "wrapperClassName", "valid", "testId"];
var TextArea = function TextArea(_ref) {
  var id = _ref.id,
    className = _ref.className,
    cssModule = _ref.cssModule,
    innerRef = _ref.innerRef,
    label = _ref.label,
    validationText = _ref.validationText,
    infoText = _ref.infoText,
    placeholder = _ref.placeholder,
    normalized = _ref.normalized,
    value = _ref.value,
    originalWrapperClass = _ref.wrapperClassName,
    valid = _ref.valid,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$Y);
  var _useFocus = useFocus({
      onFocus: attributes.onFocus,
      onBlur: attributes.onBlur
    }),
    toggleFocusLabel = _useFocus.toggleFocusLabel,
    toggleBlurLabel = _useFocus.toggleBlurLabel,
    isFocused = _useFocus.isFocused;
  var validationTextControlClass = getValidationTextControlClass({
    valid: valid
  }, cssModule);
  var extraAttributes = {};
  // associate the input field with the help text
  var infoId = id ? id + "Description" : undefined;
  if (id) {
    extraAttributes['aria-describedby'] = infoId;
  }
  // Styling
  var _getClasses = getClasses(className, 'textarea', {
      valid: valid,
      placeholder: placeholder,
      value: value,
      label: label,
      validationText: validationText,
      normalized: Boolean(normalized),
      validationTextControlClass: validationTextControlClass,
      isFocused: isFocused,
      originalWrapperClass: originalWrapperClass
    }, cssModule),
    activeClass = _getClasses.activeClass,
    extraLabelClass = _getClasses.extraLabelClass,
    validationTextClass = _getClasses.validationTextClass,
    inputClasses = _getClasses.inputClasses,
    wrapperClass = _getClasses.wrapperClass;
  // set of attributes always shared by the Input components
  var sharedAttributes = {
    id: id,
    onFocus: toggleFocusLabel,
    onBlur: toggleBlurLabel,
    value: value,
    ref: innerRef
  };
  // set of attributes always shared by the wrapper component
  var containerProps = {
    id: id,
    infoId: infoId,
    infoText: infoText,
    activeClass: activeClass,
    extraLabelClass: extraLabelClass,
    label: label,
    validationTextClass: validationTextClass,
    validationText: validationText,
    wrapperClass: wrapperClass
  };
  if (placeholder) {
    return React__default.createElement(InputContainer, Object.assign({}, containerProps), React__default.createElement("textarea", Object.assign({}, attributes, extraAttributes, sharedAttributes, {
      className: inputClasses,
      placeholder: placeholder,
      "data-testid": testId
    })));
  }
  if (normalized) {
    return React__default.createElement(InputContainer, Object.assign({}, containerProps), React__default.createElement("textarea", Object.assign({}, attributes, extraAttributes, sharedAttributes, {
      className: inputClasses,
      readOnly: true,
      "data-testid": testId
    })));
  }
  if (label || validationText) {
    return React__default.createElement(InputContainer, Object.assign({}, containerProps), React__default.createElement("textarea", Object.assign({}, attributes, extraAttributes, sharedAttributes, {
      className: inputClasses,
      "data-testid": testId
    })));
  }
  return React__default.createElement("textarea", Object.assign({}, attributes, extraAttributes, {
    className: inputClasses
  }, sharedAttributes, {
    ref: innerRef,
    "data-testid": testId
  }));
};

var _excluded$Z = ["className", "wrapperClassName", "tag", "multiline", "header", "sublist", "avatar", "noWrapper", "testId"];
var LinkList = function LinkList(_ref) {
  var className = _ref.className,
    wrapperClassName = _ref.wrapperClassName,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    multiline = _ref.multiline,
    header = _ref.header,
    sublist = _ref.sublist,
    avatar = _ref.avatar,
    noWrapper = _ref.noWrapper,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$Z);
  var Tag = tag;
  var wrapperClasses = classNames('link-list-wrapper', wrapperClassName, {
    multiline: multiline
  });
  var classes = classNames(className, {
    'link-list': !sublist,
    'link-sublist': sublist,
    'avatar-group': avatar
  });
  if (noWrapper) {
    return React__default.createElement("ul", Object.assign({}, attributes, {
      className: classes,
      "data-testid": testId
    }));
  }
  if (sublist) {
    return React__default.createElement(React__default.Fragment, null, header, React__default.createElement("ul", Object.assign({}, attributes, {
      className: classes
    })));
  }
  return React__default.createElement(Tag, {
    className: wrapperClasses,
    "data-testid": testId
  }, header, React__default.createElement("ul", Object.assign({}, attributes, {
    className: classes
  })));
};

var _excluded$_ = ["className", "active", "disabled", "header", "divider", "bold", "large", "href", "to", "tag", "wrapperClassName", "testId", "children", "inDropdown"];
var handleDisabledOnClick = function handleDisabledOnClick(e) {
  e.preventDefault();
};
var LinkListItem = function LinkListItem(_ref) {
  var className = _ref.className,
    active = _ref.active,
    disabled = _ref.disabled,
    header = _ref.header,
    divider = _ref.divider,
    bold = _ref.bold,
    large = _ref.large,
    href = _ref.href,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'a' : _ref$tag,
    wrapperClassName = _ref.wrapperClassName,
    testId = _ref.testId,
    children = _ref.children,
    inDropdown = _ref.inDropdown,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$_);
  var Tag = tag;
  var classes = classNames(className, {
    active: active,
    disabled: disabled,
    header: header,
    divider: divider,
    large: large,
    medium: bold,
    'dropdown-item': inDropdown
  }, 'list-item');
  // Prevent click event when disabled.
  var handlers = {};
  if (disabled) {
    handlers.onClick = handleDisabledOnClick;
  }
  if (header) {
    Tag = 'h3';
  } else if (divider) {
    Tag = 'span';
  }
  if (inDropdown) {
    attributes['role'] = 'menuitem';
    attributes['tabIndex'] = 0;
  }
  if (header && href) {
    return React__default.createElement("li", {
      className: wrapperClassName,
      "data-testid": testId
    }, React__default.createElement(Tag, null, React__default.createElement("a", Object.assign({
      href: href || '#'
    }, attributes, {
      className: classes
    }, handlers), children)));
  }
  return React__default.createElement("li", {
    className: wrapperClassName,
    "data-testid": testId
  }, React__default.createElement(Tag, Object.assign({
    role: attributes.onClick ? 'button' : undefined
  }, attributes, {
    className: classes,
    href: href
  }, handlers), children));
};
var LinkListTitleIconWrapper = function LinkListTitleIconWrapper(_ref2) {
  var children = _ref2.children;
  return React__default.createElement("span", {
    className: 'list-item-title-icon-wrapper'
  }, children);
};
LinkListItem.TitleIconWrapper = LinkListTitleIconWrapper;

var _excluded$$ = ["className", "children", "vertical"];
var MegamenuFooter = function MegamenuFooter(_ref) {
  var className = _ref.className,
    children = _ref.children,
    vertical = _ref.vertical,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$$);
  var classes = classNames(className, "it-footer-link-wrapper" + (vertical ? '-vertical' : ''));
  return React__default.createElement("div", Object.assign({
    className: classes
  }, attributes), children);
};
var Item = function Item(_ref2) {
  var href = _ref2.href,
    children = _ref2.children;
  return React__default.createElement("a", {
    href: href || '#',
    className: 'it-footer-link'
  }, children);
};
MegamenuFooter.Item = Item;

var _excluded$10 = ["description", "className", "children"];
var MegamenuHighlightColumn = function MegamenuHighlightColumn(_ref) {
  var description = _ref.description,
    className = _ref.className,
    children = _ref.children,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$10);
  var classes = classNames(className, 'it-vertical', {
    'it-description': description
  });
  return React__default.createElement(Col, Object.assign({}, attributes), React__default.createElement(Row, {
    className: 'max-height-col'
  }, React__default.createElement(Col, {
    className: classes
  }, description ? React__default.createElement("div", {
    className: 'description-content'
  }, children) : React__default.createElement(React__default.Fragment, null, children))));
};

var _excluded$11 = ["itemName", "className", "children"];
var MegamenuItem = function MegamenuItem(_ref) {
  var itemName = _ref.itemName,
    className = _ref.className,
    children = _ref.children,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$11);
  var classes = classNames(className, 'megamenu');
  var toggleClasses = classNames('px-lg-2', 'px-xl-3');
  return React__default.createElement(Dropdown, Object.assign({
    tag: 'li',
    className: classes
  }, attributes, {
    inNavbar: true
  }), React__default.createElement(DropdownToggle, {
    caret: true,
    className: toggleClasses,
    inNavbar: true
  }, React__default.createElement("span", null, itemName)), React__default.createElement(DropdownMenu, null, React__default.createElement("div", {
    className: 'megamenu pb-5 pt-3 py-lg-0'
  }, children)));
};

var _excluded$12 = ["withIcon", "withLinkList", "popConfirm", "modalClassName", "align", "scrollable", "className"];
var Modal = function Modal(_ref) {
  var withIcon = _ref.withIcon,
    withLinkList = _ref.withLinkList,
    popConfirm = _ref.popConfirm,
    modalClassName = _ref.modalClassName,
    align = _ref.align,
    scrollable = _ref.scrollable,
    className = _ref.className,
    props = _objectWithoutPropertiesLoose(_ref, _excluded$12);
  var isAligned = align != null && ['left', 'right'].includes(align);
  var modalDialogClassnames = classNames(modalClassName, {
    'alert-modal': withIcon,
    'it-dialog-link-list': withLinkList,
    'popconfirm-modal': popConfirm,
    'it-dialog-scrollable': scrollable && isAligned
  });
  var modalClassnames = classNames(className, {
    'modal-dialog-left': align === 'left',
    'modal-dialog-right': align === 'right'
  });
  return React__default.createElement(Modal$1, Object.assign({}, props, {
    scrollable: !isAligned && scrollable,
    className: modalClassnames,
    modalClassName: modalDialogClassnames
  }));
};

var ModalBody = function ModalBody(props) {
  return React__default.createElement(ModalBody$1, Object.assign({}, props));
};

var ModalFooter = function ModalFooter(props) {
  return React__default.createElement(ModalFooter$1, Object.assign({}, props));
};

var _excluded$13 = ["icon", "className", "children", "Util", "toggle", "tag", "wrapTag", "closeAriaLabel", "close", "cssModule"];
var ModalHeader = function ModalHeader(_ref) {
  var icon = _ref.icon,
    className = _ref.className,
    children = _ref.children,
    toggle = _ref.toggle,
    _ref$tag = _ref.tag,
    Tag = _ref$tag === void 0 ? 'h5' : _ref$tag,
    _ref$wrapTag = _ref.wrapTag,
    WrapTag = _ref$wrapTag === void 0 ? 'div' : _ref$wrapTag,
    _ref$closeAriaLabel = _ref.closeAriaLabel,
    closeAriaLabel = _ref$closeAriaLabel === void 0 ? 'Close' : _ref$closeAriaLabel,
    close = _ref.close,
    cssModule = _ref.cssModule,
    props = _objectWithoutPropertiesLoose(_ref, _excluded$13);
  var classes = mapToCssModules(classNames(className, 'modal-header'), cssModule);
  var CloseButton;
  if (!close && toggle) {
    CloseButton = React__default.createElement("button", {
      type: 'button',
      onClick: toggle,
      className: mapToCssModules('btn-close', cssModule),
      "aria-label": closeAriaLabel
    });
  }
  return React__default.createElement(WrapTag, Object.assign({}, props, {
    className: classes
  }), icon != null ? React__default.createElement(Icon, {
    icon: icon
  }) : null, React__default.createElement(Tag, {
    className: mapToCssModules('modal-title', cssModule)
  }, children), close || CloseButton);
};

var _excluded$14 = ["className", "tag", "vertical", "secondary"];
var Nav = function Nav(_ref) {
  var className = _ref.className,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'ul' : _ref$tag,
    _ref$vertical = _ref.vertical,
    vertical = _ref$vertical === void 0 ? false : _ref$vertical,
    secondary = _ref.secondary,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$14);
  var classes = classNames(className, {
    'navbar-secondary': secondary
  });
  return React__default.createElement(Nav$1, Object.assign({
    className: classes,
    tag: tag,
    vertical: vertical
  }, attributes));
};

var debounce = function debounce(callback, wait) {
  var timeoutId;
  return function () {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    clearTimeout(timeoutId);
    timeoutId = setTimeout(function () {
      callback.apply(null, args);
    }, wait);
  };
};

/* eslint-disable no-restricted-globals */
var DEFAULT_DELAY = 150;
var useSizeDetector = function useSizeDetector(_ref) {
  var root = _ref.root,
    isHorizontal = _ref.isHorizontal,
    activeId = _ref.activeId,
    onChange = _ref.onChange,
    setForceRecompute = _ref.setForceRecompute,
    updateActiveId = _ref.updateActiveId,
    hasWindow = _ref.hasWindow;
  var _useState = useState(1),
    targetSize = _useState[0],
    setTargetSize = _useState[1];
  var useViewport = root == null || hasWindow && (isHorizontal ? window.innerWidth < root.clientWidth : window.innerHeight < root.clientHeight);
  var scrollEnd = useCallback(debounce(function () {
    setForceRecompute(true);
  }, DEFAULT_DELAY), [setForceRecompute]);
  useEffect(function () {
    if (!hasWindow) {
      return;
    }
    var observer = null;
    var resizeWindowHandler = function resizeWindowHandler() {
      setTimeout(function () {
        setTargetSize(isHorizontal ? window.innerWidth : window.innerHeight);
      }, DEFAULT_DELAY);
    };
    var resizeElementHandler = function resizeElementHandler(entries) {
      var entry = entries[0];
      if (!useViewport) {
        setTargetSize(isHorizontal ? entry.boundingClientRect.width : entry.boundingClientRect.height);
      }
      if (entry.intersectionRatio === 0) {
        if (activeId != null) {
          updateActiveId(null);
          if (onChange) {
            onChange({
              added: null,
              removed: activeId
            });
          }
        }
      }
    };
    addEventListener('scroll', scrollEnd);
    if (useViewport) {
      setTargetSize(isHorizontal ? window.innerWidth : window.innerHeight);
      addEventListener('resize', resizeWindowHandler);
    }
    if (root) {
      observer = new IntersectionObserver(resizeElementHandler);
      observer.observe(root);
    }
    return function () {
      if (observer) {
        observer.disconnect();
      }
      removeEventListener('resize', resizeWindowHandler);
      removeEventListener('scroll', scrollEnd);
    };
  }, [root, isHorizontal, activeId, onChange, useViewport, scrollEnd, hasWindow, updateActiveId]);
  return {
    targetSize: targetSize,
    useViewport: useViewport
  };
};

var hasWindow = typeof window !== 'undefined';
var REGISTER_DELAY = 50;
function resolveHierarchyIds(id, lookup) {
  var newActiveIds = [id];
  var lastId = newActiveIds[0];
  while (lastId != null && lookup[lastId] != null) {
    newActiveIds.push(lookup[lastId]);
    lastId = lookup[lastId];
  }
  // return a list from parent to current child
  return newActiveIds.reverse();
}
/**
 * This is the main hook: use it in a react function component to track
 * the state of the passed ids. The function accepts an initial configuration
 * of type `useNavScrollArgs` to customize the behaviour.
 */
function useNavScroll(args) {
  if (args === void 0) {
    args = {};
  }
  var _args = args,
    onChange = _args.onChange,
    root = _args.root,
    _args$offset = _args.offset,
    offset = _args$offset === void 0 ? 50 : _args$offset,
    _args$isHorizontal = _args.isHorizontal,
    isHorizontal = _args$isHorizontal === void 0 ? false : _args$isHorizontal;
  var els = useRef([]);
  var _useState = useState(0),
    counter = _useState[0],
    setCounter = _useState[1];
  var _useState2 = useState(false),
    forceRecompute = _useState2[0],
    setForceRecompute = _useState2[1];
  var _useState3 = useState(null),
    activeId = _useState3[0],
    updateActiveId = _useState3[1];
  var _useSizeDetector = useSizeDetector({
      root: root,
      isHorizontal: isHorizontal,
      onChange: onChange,
      activeId: activeId,
      setForceRecompute: setForceRecompute,
      updateActiveId: updateActiveId,
      hasWindow: hasWindow
    }),
    targetSize = _useSizeDetector.targetSize,
    useViewport = _useSizeDetector.useViewport;
  var observerMargin = Math.floor(targetSize * offset / 100) || 1;
  var observerOptions = useMemo(function () {
    var topMargin = observerMargin % 2 === 1 ? observerMargin - 1 : observerMargin;
    var bottomMargin = targetSize - observerMargin;
    return {
      root: useViewport ? null : root,
      rootMargin: isHorizontal ? "0px " + -topMargin + "px 0px " + -bottomMargin + "px" : -topMargin + "px 0px " + -bottomMargin + "px 0px"
    };
  }, [root, targetSize, observerMargin, isHorizontal, useViewport]);
  var elsLookup = useMemo(function () {
    var lookup = {};
    for (var _iterator = _createForOfIteratorHelperLoose(els.current), _step; !(_step = _iterator()).done;) {
      var _step$value = _step.value,
        id = _step$value.id,
        parent = _step$value.parent;
      lookup[id] = parent;
    }
    return lookup;
  }, []);
  var activeIds = useMemo(function () {
    return activeId ? resolveHierarchyIds(activeId, elsLookup) : [];
  }, [activeId, elsLookup]);
  var activeLookups = useMemo(function () {
    return new Set(activeIds);
  }, [activeIds]);
  useEffect(function () {
    if (!hasWindow) {
      return;
    }
    var handleIntersection = function handleIntersection(entries) {
      var intersectionId = null;
      var topMin = Infinity;
      entries.forEach(function (entry) {
        if (entry.isIntersecting) {
          if (topMin > entry.boundingClientRect.top) {
            topMin = entry.boundingClientRect.top;
            intersectionId = entry.target.id;
          }
        }
      });
      if (intersectionId != null) {
        updateActiveId(intersectionId);
        if (onChange) {
          var diffIds = {
            added: intersectionId,
            removed: activeId
          };
          onChange(diffIds);
        }
      }
    };
    var observer = new IntersectionObserver(handleIntersection, observerOptions);
    els.current.forEach(function (_ref) {
      var ref = _ref.ref;
      if (ref && ref.current) {
        observer.observe(ref.current);
      }
    });
    if (forceRecompute) {
      handleIntersection(observer.takeRecords());
      setForceRecompute(false);
    }
    return function () {
      observer.disconnect();
    };
  }, [activeIds, updateActiveId, els, elsLookup, onChange, activeLookups, activeId, observerOptions, isHorizontal, root, forceRecompute]);
  var refresh = useCallback(debounce(function () {
    setCounter(counter + 1);
  }, REGISTER_DELAY), [counter]);
  var register = useCallback(function (id, options) {
    if (options === void 0) {
      options = {};
    }
    if (!hasWindow) {
      return {
        id: id,
        ref: null
      };
    }
    var alreadyRegistered = (id in elsLookup);
    var entry = alreadyRegistered ? els.current.find(function (_ref2) {
      var existingId = _ref2.id;
      return existingId === id;
    }) : options;
    var ref = entry && entry.ref || createRef();
    if (!alreadyRegistered) {
      els.current = [].concat(els.current, [{
        id: id,
        ref: ref,
        parent: options.parent
      }]);
      refresh();
    }
    return {
      id: id,
      ref: ref
    };
  }, [elsLookup, refresh]);
  var unregister = useCallback(function (idToUnregister) {
    els.current = els.current.filter(function (_ref3) {
      var id = _ref3.id;
      return id !== idToUnregister;
    });
  }, []);
  var isActive = useCallback(function (id) {
    return activeLookups.has(id);
  }, [activeLookups]);
  var getActiveRef = useCallback(function () {
    var entry = els.current.find(function (_ref4) {
      var id = _ref4.id;
      return id === activeId;
    });
    return entry ? entry.ref : null;
  }, [activeId]);
  return {
    register: register,
    unregister: unregister,
    activeIds: activeIds,
    isActive: isActive,
    getActiveRef: getActiveRef
  };
}

var PositionContext = /*#__PURE__*/createContext(undefined);
function usePosition() {
  var context = useContext(PositionContext);
  return context;
}

var getBorderStyleFix = function getBorderStyleFix(fix) {
  var borderReset = ['top', 'bottom', 'right', 'left'].filter(function (curPosition) {
    return fix === 'left' ? curPosition !== 'right' : curPosition !== 'left';
  }).map(function (borderPosition) {
    return "border" + (borderPosition[0].toUpperCase() + borderPosition.substring(1));
  });
  var customStyle = {};
  for (var _iterator = _createForOfIteratorHelperLoose(borderReset), _step; !(_step = _iterator()).done;) {
    var borderPos = _step.value;
    customStyle[borderPos] = 'none';
  }
  return customStyle;
};
function pickIcon(state) {
  switch (state) {
    case 'error':
      return 'it-close-circle';
    case 'info':
      return 'it-info-circle';
    case 'warning':
      return 'it-error';
    case 'success':
      return 'it-check-circle';
    default:
      return undefined;
  }
}
function NotificationElement(_ref) {
  var _classNames;
  var closeToast = _ref.closeToast,
    toastProps = _ref.toastProps,
    title = _ref.title,
    body = _ref.body,
    options = _ref.options;
  var globalFix = usePosition();
  var userIcon = options.icon,
    state = options.state,
    localFix = options.fix,
    dismissable = options.dismissable;
  var fixPosition = localFix == null && globalFix ? globalFix : localFix || globalFix;
  var autoClose = toastProps.autoClose,
    style = toastProps.style;
  var content = typeof body === 'string' ? React__default.createElement("p", null, body) : body;
  var icon = userIcon || pickIcon(state);
  var borderFixes = getBorderStyleFix(fixPosition);
  var wrapperClass = classNames('notification', state, (_classNames = {}, _classNames[fixPosition + "-fix"] = fixPosition, _classNames['with-icon'] = icon, _classNames.dismissable = dismissable || !autoClose, _classNames));
  // Need to override some toast styling here
  var customStyle = _extends({}, style, borderFixes, {
    // force a display as the notification class has a "display: none" set
    display: 'block'
  });
  return React__default.createElement("div", {
    className: wrapperClass,
    style: customStyle
  }, React__default.createElement("h5", null, title, icon ? React__default.createElement(Icon, {
    icon: icon
  }) : null), content, (!autoClose || dismissable) && React__default.createElement(Button, {
    className: 'notification-close',
    onClick: closeToast
  }, React__default.createElement(Icon, {
    icon: 'it-close'
  }), React__default.createElement("span", {
    className: 'visually-hidden'
  }, "Chiudi notifica: ", title)));
}
/**
 * Internal use only. Exported for documentation purposes.
 * @internal
 */
var createNotification = function createNotification(title, body, options, closeToast, toastProps) {
  return React__default.createElement(NotificationElement, {
    title: title,
    body: body,
    options: options,
    closeToast: closeToast,
    toastProps: toastProps
  });
};

var dummyTransition = /*#__PURE__*/cssTransition({
  enter: '',
  exit: ''
});
var Notification = function Notification(props) {
  var _useToast = useToast(_extends({}, props, {
      transition: dummyTransition
    })),
    toastRef = _useToast.toastRef,
    eventHandlers = _useToast.eventHandlers;
  var children = props.children,
    autoClose = props.autoClose,
    onClick = props.onClick,
    role = props.role,
    toastId = props.toastId,
    deleteToast = props.deleteToast,
    closeToast = props.closeToast,
    isIn = props.isIn;
  var customStyle = {
    display: isIn ? 'block' : 'none'
  };
  useEffect(function () {
    if (!isIn) deleteToast();
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [isIn]);
  useEffect(function () {
    var timer;
    if (autoClose) {
      timer = setTimeout(function () {
        return closeToast();
      }, autoClose);
    }
    return function () {
      if (timer != null) {
        clearTimeout(Number(timer));
      }
    };
  }, [autoClose, closeToast]);
  return React__default.createElement("div", Object.assign({
    id: toastId,
    onClick: onClick
  }, eventHandlers, {
    style: customStyle,
    ref: toastRef
  }, isIn && {
    role: role
  }), children);
};

var KitTransition = /*#__PURE__*/cssTransition({
  enter: "d-block",
  exit: "d-none",
  appendPosition: false
});
var NotificationManager = function NotificationManager(props) {
  var _props$duration, _props$closeOnClick;
  var customStyle = _extends({}, props.style, getBorderStyleFix(props.fix));
  var hookProps = {
    autoClose: (_props$duration = props.duration) != null ? _props$duration : 6000,
    closeOnClick: (_props$closeOnClick = props.closeOnClick) != null ? _props$closeOnClick : true,
    hideProgressBar: true,
    transition: KitTransition,
    rtl: false,
    pauseOnHover: true,
    pauseOnFocusLoss: true,
    newestOnTop: false,
    draggable: false,
    role: 'alert',
    style: customStyle,
    enableMultiContainer: props.containerId != null // enable multi container when an explicit id is passed
  };

  var _useToastContainer = useToastContainer(hookProps),
    getToastToRender = _useToastContainer.getToastToRender,
    containerRef = _useToastContainer.containerRef,
    isToastActive = _useToastContainer.isToastActive;
  var containerId = props.containerId,
    style = props.style,
    fix = props.fix;
  return React__default.createElement(PositionContext.Provider, {
    value: fix
  }, React__default.createElement("div", {
    ref: containerRef,
    id: containerId,
    style: style
  }, getToastToRender(function (_, toastList) {
    return toastList.map(function (_ref) {
      var content = _ref.content,
        toastProps = _ref.props;
      return React__default.createElement(Notification, Object.assign({}, toastProps, {
        isIn: isToastActive(toastProps.toastId),
        key: "notification-" + toastProps.key
      }), content);
    });
  })));
};

function notify(title, bodyOrOptions, options) {
  var body = isReactChild(bodyOrOptions) ? bodyOrOptions : undefined;
  var safeOptions = isReactChild(bodyOrOptions) ? _extends({}, options) : bodyOrOptions || {};
  var NotificationContent = createNotification(title, body, safeOptions);
  var internalOptions = _extends({}, safeOptions, {
    autoClose: safeOptions.duration
  });
  return toast(NotificationContent, internalOptions);
}
function isReactChild(el) {
  return el != null && (typeof el === 'string' || typeof el === 'number' || 'type' in el);
}
notify.dismiss = function (id) {
  return toast.dismiss(id);
};

var _excluded$15 = ["className", "tag", "listTag", "listClassName", "children", "total", "testId"];
var Pager = function Pager(_ref) {
  var className = _ref.className,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'nav' : _ref$tag,
    _ref$listTag = _ref.listTag,
    ListTag = _ref$listTag === void 0 ? 'ul' : _ref$listTag,
    listClassName = _ref.listClassName,
    children = _ref.children,
    total = _ref.total,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$15);
  var Tag = tag;
  var classes = classNames(className, 'pagination-wrapper', {
    'pagination-total': total
  });
  var listClasses = classNames(listClassName, 'pagination');
  var _ref2 = total || {},
    ariaLabel = _ref2.ariaLabel,
    label = _ref2.label;
  var totalAriaLabel = ariaLabel ? React__default.createElement("span", {
    className: 'visually-hidden'
  }, ariaLabel) : null;
  return React__default.createElement(Tag, Object.assign({
    className: classes
  }, attributes, {
    "data-testid": testId
  }), React__default.createElement(ListTag, {
    className: listClasses
  }, children), total ? React__default.createElement("p", null, totalAriaLabel, label) : null);
};

var _excluded$16 = ["wrapperClassName", "className", "tag", "value", "label", "indeterminate", "color", "testId", "role"];
var Progress = function Progress(_ref) {
  var _classNames;
  var wrapperClassName = _ref.wrapperClassName,
    className = _ref.className,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    value = _ref.value,
    label = _ref.label,
    _ref$indeterminate = _ref.indeterminate,
    indeterminate = _ref$indeterminate === void 0 ? false : _ref$indeterminate,
    color = _ref.color,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$16);
  var Tag = tag;
  if (!isNumber(value) && !indeterminate) {
    logError("The passed \"value\" is not a valid number. You passed \"" + value + "\"");
  }
  var numericValue = Number(value);
  var wrapperClasses = classNames('progress-bar-wrapper');
  var secondaryWrapperClasses = classNames(wrapperClassName === true ? className : wrapperClassName, 'progress', {
    'progress-indeterminate': indeterminate,
    'progress-color': color
  });
  var classes = classNames(className, 'progress-bar', (_classNames = {}, _classNames["bg-" + color] = color, _classNames));
  if (label && numericValue) {
    return React__default.createElement(Tag, {
      className: wrapperClasses,
      "data-testid": testId
    }, React__default.createElement("div", {
      className: 'progress-bar-label'
    }, React__default.createElement("span", {
      className: 'visually-hidden'
    }, label), numericValue + '%'), React__default.createElement(Tag, {
      className: secondaryWrapperClasses
    }, React__default.createElement("div", Object.assign({}, attributes, {
      className: classes,
      role: 'progressbar',
      style: {
        width: numericValue + '%'
      },
      "aria-valuenow": numericValue,
      "aria-valuemin": 0,
      "aria-valuemax": 100
    }))));
  }
  return React__default.createElement(Tag, {
    className: secondaryWrapperClasses,
    "data-testid": testId
  }, React__default.createElement("div", {
    className: 'progress-bar-label'
  }, React__default.createElement("span", {
    className: 'visually-hidden'
  }, label)), React__default.createElement("div", Object.assign({}, attributes, {
    className: classes,
    role: 'progressbar',
    style: {
      width: numericValue + '%'
    },
    "aria-valuenow": numericValue,
    "aria-valuemin": 0,
    "aria-valuemax": 100
  })));
};

var _excluded$17 = ["className", "inputs", "legend", "name", "readOnly", "value", "wrapperClassName", "testId", "labelTemplate", "onChangeRating"];
var isCustomLegendObject = function isCustomLegendObject(legend) {
  return legend != null && typeof legend === 'object' && 'content' in legend;
};
var Rating = function Rating(_ref) {
  var className = _ref.className,
    inputs = _ref.inputs,
    legend = _ref.legend,
    name = _ref.name,
    readOnly = _ref.readOnly,
    value = _ref.value,
    wrapperClassName = _ref.wrapperClassName,
    testId = _ref.testId,
    _ref$labelTemplate = _ref.labelTemplate,
    labelTemplate = _ref$labelTemplate === void 0 ? function (value) {
      return "Valuta " + value + " stelle su 5";
    } : _ref$labelTemplate,
    _ref$onChangeRating = _ref.onChangeRating,
    onChangeRating = _ref$onChangeRating === void 0 ? noop : _ref$onChangeRating,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$17);
  // Input data
  // On the DOM we have to go from 5 to 1
  var safeInputs = (inputs || []).reverse();
  // Fields
  var labelFn = labelTemplate;
  var _onChange = readOnly ? noop : onChangeRating;
  var wrapperClasses = classNames(wrapperClassName, {
    'rating rating-read-only': readOnly,
    'rating rating-label': legend
  });
  var fieldClasses = classNames(className);
  var extraFieldAttrs = readOnly ? {
    'aria-hidden': true
  } : {};
  // Legend
  var isLegendString = typeof legend === 'string';
  var legendClass = '';
  var legendText = legend;
  if (isCustomLegendObject(legend)) {
    legendClass = classNames({
      'visually-hidden': legend.srOnly
    });
    legendText = legend.content;
  }
  var legendContent = isCustomLegendObject(legend) || isLegendString ? React__default.createElement("legend", {
    className: legendClass
  }, legendText) : legend;
  return React__default.createElement(FormGroup, Object.assign({
    cssModule: {
      'form-group': 'rating'
    },
    tag: 'fieldset',
    className: wrapperClasses,
    "data-testid": testId
  }, attributes), legend && legendContent, safeInputs.map(function (id, i) {
    var currentValue = 5 - i;
    return React__default.createElement(Fragment, {
      key: id
    }, React__default.createElement(Input, Object.assign({
      type: 'radio',
      id: id,
      name: name,
      value: String(currentValue),
      cssModule: {
        'form-control': ''
      },
      className: fieldClasses,
      onChange: function onChange() {
        return _onChange(currentValue, name);
      },
      checked: value === currentValue,
      disabled: readOnly
    }, extraFieldAttrs)), React__default.createElement(Label, {
      className: 'full',
      "for": id
    }, React__default.createElement(Icon, {
      icon: 'it-star-full',
      size: 'sm'
    }), React__default.createElement("span", {
      className: 'visually-hidden'
    }, labelFn(currentValue))));
  }));
};

var _excluded$18 = ["alt", "testId"];
var ResponsiveImage = function ResponsiveImage(_ref) {
  var alt = _ref.alt,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$18);
  return React__default.createElement("div", {
    className: 'img-responsive-wrapper',
    "data-testid": testId
  }, React__default.createElement("div", {
    className: 'img-responsive'
  }, React__default.createElement("div", {
    className: 'img-wrapper'
  }, React__default.createElement("img", Object.assign({}, attributes, {
    alt: alt
  })))));
};

var _excluded$19 = ["color", "image", "testId", "wrapperClassName", "className", "children", "neutral", "muted"];
var Section = function Section(_ref) {
  var _classNames;
  var color = _ref.color,
    image = _ref.image,
    testId = _ref.testId,
    wrapperClassName = _ref.wrapperClassName,
    className = _ref.className,
    children = _ref.children,
    neutral = _ref.neutral,
    muted = _ref.muted,
    rest = _objectWithoutPropertiesLoose(_ref, _excluded$19);
  var classes = classNames('section', wrapperClassName === true ? className : wrapperClassName, (_classNames = {}, _classNames["section-" + color] = color, _classNames['section-image'] = image, _classNames));
  if (neutral || muted) {
    notifyDeprecation("Please use the prop \"color\" instead of the \"" + (neutral ? 'neutral' : 'muted') + "\" for the Section component.");
  }
  // have them separated from the classes above or these will conflict with the color prop
  // concatenate them at the end. Worst case a duplicate class will appear
  var deprecatedClasses = classNames({
    'section-neutral': neutral,
    'section-muted': muted
  });
  var innerClasses = classNames('section-content', className);
  var styleClass = {
    backgroundImageClass: image ? {
      backgroundImage: "url(" + image + ")"
    } : {}
  };
  var finalWrapperClassName = classNames(classes, deprecatedClasses);
  return React__default.createElement("div", Object.assign({
    className: finalWrapperClassName,
    style: styleClass.backgroundImageClass,
    "data-testid": testId
  }, rest), React__default.createElement("div", {
    className: innerClasses
  }, children));
};

var Select = function Select(_ref) {
  var id = _ref.id,
    _ref$disabled = _ref.disabled,
    disabled = _ref$disabled === void 0 ? false : _ref$disabled,
    label = _ref.label,
    children = _ref.children,
    onChange = _ref.onChange;
  var handleChange = function handleChange(e) {
    onChange(e.target.value);
  };
  var inputProps = {
    disabled: disabled,
    handleChange: handleChange
  };
  return React__default.createElement("div", {
    className: 'select-wrapper'
  }, id ? React__default.createElement(React__default.Fragment, null, React__default.createElement("label", {
    htmlFor: id
  }, label), React__default.createElement("select", Object.assign({
    id: id
  }, inputProps), children)) : React__default.createElement("label", null, label, React__default.createElement("select", Object.assign({}, inputProps), children)));
};

var _excluded$1a = ["className", "testId", "tag", "secondary", "left", "right", "dark"];
var Sidebar = function Sidebar(_ref) {
  var className = _ref.className,
    testId = _ref.testId,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    _ref$secondary = _ref.secondary,
    secondary = _ref$secondary === void 0 ? false : _ref$secondary,
    _ref$left = _ref.left,
    left = _ref$left === void 0 ? false : _ref$left,
    _ref$right = _ref.right,
    right = _ref$right === void 0 ? false : _ref$right,
    _ref$dark = _ref.dark,
    dark = _ref$dark === void 0 ? false : _ref$dark,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$1a);
  var Tag = tag;
  var wrapperClasses = classNames('sidebar-wrapper', className, {
    'it-line-left-side': left,
    'it-line-right-side': right,
    'theme-dark': dark
  });
  var wrapperClassesLinkList = classNames('sidebar-linklist-wrapper', {
    'linklist-secondary': secondary
  });
  if (secondary) {
    return React__default.createElement(Tag, Object.assign({}, attributes, {
      className: wrapperClassesLinkList,
      "data-testid": testId
    }));
  }
  return React__default.createElement(Tag, {
    className: wrapperClasses,
    "data-testid": testId
  }, React__default.createElement(Tag, Object.assign({}, attributes, {
    className: wrapperClassesLinkList
  })));
};

var _excluded$1b = ["className", "tag", "testId"];
var Skiplink = function Skiplink(_ref) {
  var className = _ref.className,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$1b);
  var Tag = tag;
  var classes = classNames(className, 'skiplinks');
  return React__default.createElement(Tag, Object.assign({
    className: classes
  }, attributes, {
    "data-testid": testId
  }));
};

var _excluded$1c = ["className", "tag", "focusable", "testId"];
var SkiplinkItem = function SkiplinkItem(_ref) {
  var className = _ref.className,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'a' : _ref$tag,
    _ref$focusable = _ref.focusable,
    focusable = _ref$focusable === void 0 ? true : _ref$focusable,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$1c);
  var Tag = tag;
  var classes = classNames(className, {
    'visually-hidden-focusable': focusable
  });
  // Add an extra href for focusable if the user passes an onClick rather than href prop
  var extraHref = attributes.onClick ? {
    href: '#'
  } : {};
  return React__default.createElement(Tag, Object.assign({
    className: classes
  }, attributes, extraHref, {
    "data-testid": testId
  }));
};

var _excluded$1d = ["className", "tag", "active", "small", "double", "label", "testId"];
var Spinner = function Spinner(_ref) {
  var className = _ref.className,
    _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'span' : _ref$tag,
    _ref$active = _ref.active,
    active = _ref$active === void 0 ? false : _ref$active,
    _ref$small = _ref.small,
    small = _ref$small === void 0 ? false : _ref$small,
    _ref$double = _ref["double"],
    _double = _ref$double === void 0 ? false : _ref$double,
    _ref$label = _ref.label,
    label = _ref$label === void 0 ? 'Caricamento' : _ref$label,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$1d);
  var Tag = tag;
  var wrapperClasses = classNames('progress-spinner', {
    'progress-spinner-active': active,
    'size-sm': small,
    'progress-spinner-double': _double
  });
  var classes = classNames(className, 'visually-hidden');
  if (_double) {
    return React__default.createElement(Tag, {
      className: wrapperClasses,
      "data-testid": testId
    }, React__default.createElement("div", {
      className: 'progress-spinner-inner'
    }), React__default.createElement("div", {
      className: 'progress-spinner-inner'
    }), React__default.createElement(Tag, Object.assign({}, attributes, {
      className: classes
    }), label));
  }
  return React__default.createElement(Tag, {
    className: wrapperClasses,
    "data-testid": testId
  }, React__default.createElement(Tag, Object.assign({}, attributes, {
    className: classes
  }), label));
};

var _excluded$1e = ["tag", "mobile", "dark", "testId", "className"];
var StepperContainer = function StepperContainer(_ref) {
  var _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    mobile = _ref.mobile,
    dark = _ref.dark,
    testId = _ref.testId,
    className = _ref.className,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$1e);
  var Tag = tag;
  var wrapperClass = classNames('steppers', className, {
    'bg-dark': dark
  }, {
    'mobile-examples': mobile
  });
  return React__default.createElement(Tag, Object.assign({}, attributes, {
    className: wrapperClass,
    "data-testid": testId
  }));
};

var _excluded$1f = ["tag", "className", "dark"];
var contentStyleLight = {
  height: '400px',
  border: '2px dashed #eee',
  background: '#fafafa',
  display: 'flex',
  justifyContent: 'center',
  alignItems: 'center',
  color: '#333'
};
var contentStyleDark = {
  height: '400px',
  border: '2px dashed #eee',
  display: 'flex',
  justifyContent: 'center',
  alignItems: 'center',
  color: '#EEE',
  borderColor: '#aaa',
  background: '#17324d',
  opacity: 0.5
};
var StepperContent = function StepperContent(_ref) {
  var _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    className = _ref.className,
    dark = _ref.dark,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$1f);
  var Tag = tag;
  var classes = classNames('steppers-content', className);
  return React__default.createElement(Tag, Object.assign({}, attributes, {
    className: classes,
    style: dark && contentStyleDark || contentStyleLight,
    "aria-live": 'polite'
  }));
};

var _excluded$1g = ["tag", "className", "testId"];
var StepperDots = function StepperDots(_ref) {
  var _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'ul' : _ref$tag,
    className = _ref.className,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$1g);
  var Tag = tag;
  var wrapperClass = classNames('steppers-dots', className);
  return React__default.createElement(Tag, Object.assign({}, attributes, {
    className: wrapperClass,
    "data-testid": testId
  }));
};

var _excluded$1h = ["tag", "testId", "className", "children"];
var StepperHeader = function StepperHeader(_ref) {
  var _children$props;
  var _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'div' : _ref$tag,
    testId = _ref.testId,
    className = _ref.className,
    children = _ref.children,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$1h);
  var Tag = tag;
  var wrapperClass = classNames('steppers-header', className);
  // @ts-ignore not recognize children's props
  var isMobile = (children == null ? void 0 : (_children$props = children.props) == null ? void 0 : _children$props.variant) === 'mobile';
  return React__default.createElement(Tag, Object.assign({}, attributes, {
    className: wrapperClass,
    "data-testid": testId
  }), isMobile ? React__default.createElement("span", null, children) : React__default.createElement("ul", null, children));
};

var _excluded$1i = ["tag", "variant", "appendIcon", "prependIcon", "icon", "iconName", "noLine", "stepperNumber", "testId", "children", "className"];
var variants = {
  confirmed: 'confirmed',
  active: 'active',
  done: 'done',
  mobile: 'steppers-index',
  // @deprecated
  'steppers-index': 'steppers-index'
};
var StepperHeaderElement = function StepperHeaderElement(_ref) {
  var _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'li' : _ref$tag,
    variant = _ref.variant,
    appendIcon = _ref.appendIcon,
    prependIcon = _ref.prependIcon,
    icon = _ref.icon,
    iconName = _ref.iconName,
    noLine = _ref.noLine,
    stepperNumber = _ref.stepperNumber,
    testId = _ref.testId,
    children = _ref.children,
    className = _ref.className,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$1i);
  var Tag = tag;
  var wrapperClasses = classNames(variant ? variants[variant] : '', className, {
    'no-line': noLine
  });
  var iconClass = classNames('icon', 'steppers-success');
  var spanClass = classNames('steppers-number');
  var iconToAppend = appendIcon || icon;
  var iconToPrepend = prependIcon || iconName;
  return React__default.createElement(Tag, Object.assign({}, attributes, {
    className: wrapperClasses,
    "data-testid": testId
  }), iconToPrepend && React__default.createElement(Icon, {
    icon: iconToPrepend
  }), stepperNumber && React__default.createElement("span", {
    className: spanClass
  }, stepperNumber), children, iconToAppend && React__default.createElement(Icon, {
    icon: iconToAppend,
    className: iconClass
  }));
};

var _excluded$1j = ["tag", "testId", "className"];
var StepperNav = function StepperNav(_ref) {
  var _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'nav' : _ref$tag,
    testId = _ref.testId,
    className = _ref.className,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$1j);
  var Tag = tag;
  var wrapperClass = classNames('steppers-nav', className);
  return React__default.createElement(Tag, Object.assign({}, attributes, {
    className: wrapperClass,
    "data-testid": testId
  }));
};

var _excluded$1k = ["isSmall", "fixedWidth", "isVertical", "noZoomOnHover", "rowItems", "overlayOnHover", "position", "testId"];
var ThumbNav = function ThumbNav(_ref) {
  var _classNames;
  var _ref$isSmall = _ref.isSmall,
    isSmall = _ref$isSmall === void 0 ? false : _ref$isSmall,
    _ref$fixedWidth = _ref.fixedWidth,
    fixedWidth = _ref$fixedWidth === void 0 ? false : _ref$fixedWidth,
    _ref$isVertical = _ref.isVertical,
    isVertical = _ref$isVertical === void 0 ? false : _ref$isVertical,
    _ref$noZoomOnHover = _ref.noZoomOnHover,
    noZoomOnHover = _ref$noZoomOnHover === void 0 ? false : _ref$noZoomOnHover,
    rowItems = _ref.rowItems,
    overlayOnHover = _ref.overlayOnHover,
    position = _ref.position,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$1k);
  var classes = classNames('thumb-nav', (_classNames = {
    'thumb-nav-fixed': fixedWidth,
    'thumb-nav-small': isSmall,
    'thumb-nav-vertical': isVertical || position === 'left' || position === 'right',
    'thumb-nav-nozoom': noZoomOnHover
  }, _classNames["thumb-nav-" + overlayOnHover] = overlayOnHover, _classNames["thumb-nav-" + position] = position, _classNames['thumb-nav-auto'] = rowItems != null, _classNames["thumb-nav-auto-" + rowItems] = rowItems != null, _classNames));
  return React__default.createElement("ul", Object.assign({
    className: classes
  }, attributes, {
    "data-testid": testId
  }));
};

var _excluded$1l = ["active", "targetUrl", "imageUrl", "actionDescription", "testId"];
var ThumbNavItem = function ThumbNavItem(_ref) {
  var _ref$active = _ref.active,
    active = _ref$active === void 0 ? false : _ref$active,
    targetUrl = _ref.targetUrl,
    imageUrl = _ref.imageUrl,
    actionDescription = _ref.actionDescription,
    testId = _ref.testId,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$1l);
  var classes = classNames({
    active: active
  }, 'ratio', 'ratio-3x2');
  return React__default.createElement("li", Object.assign({}, attributes, {
    "data-testid": testId
  }), React__default.createElement("img", {
    src: 'https://picsum.photos/240/160?image=1056',
    className: 'thumb-nav-resizer',
    "aria-hidden": 'true',
    alt: ''
  }), React__default.createElement("a", {
    href: targetUrl,
    className: classes
  }, React__default.createElement("img", {
    src: imageUrl,
    alt: actionDescription
  })));
};

var _excluded$1m = ["iconName", "icon", "label", "past", "now", "nowText", "testId", "className"],
  _excluded2$3 = ["children"];
var TimelinePin = function TimelinePin(_ref) {
  var _ref$iconName = _ref.iconName,
    iconName = _ref$iconName === void 0 ? 'it-code-circle' : _ref$iconName,
    _ref$icon = _ref.icon,
    icon = _ref$icon === void 0 ? 'it-code-circle' : _ref$icon,
    _ref$label = _ref.label,
    label = _ref$label === void 0 ? ' ' : _ref$label,
    past = _ref.past,
    now = _ref.now,
    nowText = _ref.nowText,
    testId = _ref.testId,
    className = _ref.className,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$1m);
  var children = attributes.children,
    rest = _objectWithoutPropertiesLoose(attributes, _excluded2$3);
  var classes = classNames('timeline-element', className);
  var innerClasses = classNames('it-pin-wrapper', className, {
    'it-evidence': past,
    'it-now': now
  });
  var pinIcon = React__default.createElement("div", {
    className: 'pin-icon'
  }, React__default.createElement(Icon, {
    icon: iconName || icon
  }));
  var pinLabel = React__default.createElement("div", {
    className: 'pin-text'
  }, React__default.createElement("span", null, label));
  var pinTextNow = now && React__default.createElement("span", {
    className: 'it-now-label d-none d-lg-flex'
  }, nowText);
  return React__default.createElement("div", {
    className: classes,
    "data-testid": testId
  }, pinTextNow, React__default.createElement("div", Object.assign({
    className: innerClasses
  }, rest), pinIcon, pinLabel), children);
};

var _excluded$1n = ["className", "testId"],
  _excluded2$4 = ["children"];
var Timeline = function Timeline(props) {
  var className = props.className,
    testId = props.testId,
    attributes = _objectWithoutPropertiesLoose(props, _excluded$1n);
  var children = attributes.children,
    rest = _objectWithoutPropertiesLoose(attributes, _excluded2$4);
  var timelineWrapper = classNames(className, 'it-timeline-wrapper');
  return React__default.createElement("div", Object.assign({
    className: timelineWrapper
  }, rest, {
    "data-testid": testId
  }), children);
};

var _excluded$1o = ["label", "testId"];
var Toggle = function Toggle(_ref) {
  var label = _ref.label,
    testId = _ref.testId,
    rest = _objectWithoutPropertiesLoose(_ref, _excluded$1o);
  return React__default.createElement("div", {
    className: 'toggles',
    "data-testid": testId
  }, React__default.createElement(Label, {
    check: true
  }, label, React__default.createElement(Input$1, Object.assign({}, rest, {
    type: 'checkbox'
  })), React__default.createElement("span", {
    className: 'lever'
  })));
};

var _excluded$1p = ["tag", "size", "testId", "children", "vertical"];
var SizeContext = /*#__PURE__*/createContext(undefined);
var Toolbar = function Toolbar(_ref) {
  var _classnames;
  var _ref$tag = _ref.tag,
    tag = _ref$tag === void 0 ? 'nav' : _ref$tag,
    size = _ref.size,
    testId = _ref.testId,
    children = _ref.children,
    vertical = _ref.vertical,
    attributes = _objectWithoutPropertiesLoose(_ref, _excluded$1p);
  var Tag = tag;
  var classes = classNames('toolbar', (_classnames = {}, _classnames["toolbar-" + size] = size && size !== 'large', _classnames['toolbar-vertical'] = vertical, _classnames));
  return React__default.createElement(SizeContext.Provider, {
    value: size || 'large'
  }, React__default.createElement(Tag, Object.assign({
    className: classes
  }, attributes, {
    "data-testid": testId
  }), React__default.createElement("ul", null, children)));
};

var ToolbarDividerItem = function ToolbarDividerItem() {
  return React__default.createElement("li", {
    className: 'toolbar-divider',
    "aria-hidden": true
  });
};

var _excluded$1q = ["active", "badge", "url", "iconName", "label", "tag", "disabled", "testId", "srText", "dropdown", "dropdownProps", "children", "showMore", "onClick", "isDropdownOpen"];
var disabledMessage = ' elemento disabilitato';
function ToolbarItemLabel(_ref) {
  var label = _ref.label,
    size = _ref.size,
    disabled = _ref.disabled,
    badge = _ref.badge;
  var showSrText = size && size !== 'large';
  if (disabled) {
    if (!label || showSrText) {
      return React__default.createElement("span", {
        className: 'visually-hidden'
      }, disabledMessage);
    }
    return React__default.createElement(React__default.Fragment, null, React__default.createElement("span", {
      className: 'toolbar-label'
    }, label), React__default.createElement("span", {
      className: 'visually-hidden'
    }, disabledMessage));
  }
  if (!label) {
    return null;
  }
  return showSrText ? React__default.createElement("span", {
    className: 'visually-hidden'
  }, label) : React__default.createElement("span", {
    className: 'toolbar-label'
  }, label, badge != null && badge.label ? React__default.createElement("span", {
    className: 'visually-hidden'
  }, badge.label) : null);
}
var ToolbarItem = function ToolbarItem(_ref2) {
  var _ref2$active = _ref2.active,
    active = _ref2$active === void 0 ? false : _ref2$active,
    badge = _ref2.badge,
    url = _ref2.url,
    iconName = _ref2.iconName,
    label = _ref2.label,
    _ref2$tag = _ref2.tag,
    tag = _ref2$tag === void 0 ? 'a' : _ref2$tag,
    disabled = _ref2.disabled,
    testId = _ref2.testId,
    srText = _ref2.srText,
    dropdown = _ref2.dropdown,
    dropdownProps = _ref2.dropdownProps,
    children = _ref2.children,
    showMore = _ref2.showMore,
    onClick = _ref2.onClick,
    isDropdownOpen = _ref2.isDropdownOpen,
    attributes = _objectWithoutPropertiesLoose(_ref2, _excluded$1q);
  var Tag = tag;
  var size = useContext(SizeContext);
  var activeClass = classNames({
    active: active,
    disabled: disabled
  });
  var ariaAttributes = _extends({}, disabled && {
    'aria-disabled': true
  });
  var badgeObject = typeof badge === 'number' ? {
    value: badge,
    label: srText || '',
    srText: srText || ''
  } : badge;
  var toolbarItemContent = React__default.createElement(React__default.Fragment, null, badgeObject ? React__default.createElement("div", {
    className: 'badge-wrapper'
  }, React__default.createElement("span", {
    className: 'toolbar-badge'
  }, size !== 'large' ? null : badgeObject.value), size !== 'large' && React__default.createElement("span", {
    className: 'visually-hidden'
  }, badgeObject.srText)) : null, React__default.createElement(Icon, {
    icon: iconName,
    size: size === 'small' ? 'sm' : ''
  }), React__default.createElement(ToolbarItemLabel, {
    label: label,
    size: size,
    disabled: disabled,
    badge: badgeObject
  }));
  if (dropdown) {
    return React__default.createElement("li", null, React__default.createElement(Dropdown$2, Object.assign({}, dropdownProps, {
      toggle: onClick,
      isOpen: isDropdownOpen
    }), React__default.createElement(DropdownToggle$1, {
      disabled: disabled,
      caret: true,
      className: classNames('btn-dropdown', {
        'toolbar-more': showMore
      }),
      color: ''
    }, toolbarItemContent), children));
  }
  return React__default.createElement("li", null, React__default.createElement(Tag, Object.assign({
    href: url || '#',
    className: activeClass,
    "data-testid": testId
  }, attributes, ariaAttributes, {
    onClick: onClick
  }), toolbarItemContent));
};

export { AvatarGroupContainer as $, Accordion as S, AccordionBody as V, AccordionHeader as W, AccordionItem as X, Alert as Y, AvatarContainer as Z, AvatarExtraText as _, LinkList as a$, AvatarIcon as a0, AvatarPresence as a1, AvatarStatus as a2, AvatarWrapper as a3, BackToTop as a4, Badge as a5, BottomNav as a6, BottomNavItem as a7, Breadcrumb as a8, Button as a9, GridItem as aA, GridItemText as aB, GridItemTextWrapper as aC, GridList as aD, GridRow as aE, Header as aF, HeaderBrand as aG, HeaderContent as aH, HeaderLinkZone as aI, HeaderRightZone as aJ, HeaderSearch as aK, HeaderSocialsZone as aL, HeaderToggler as aM, Headers as aN, Hero as aO, HeroBackground as aP, HeroBody as aQ, HeroButton as aR, HeroCategory as aS, HeroTitle as aT, Icon as aU, clearIconCache as aV, iconsList as aW, preloadIcons as aX, Input as aY, InputContainer as aZ, TextArea as a_, Callout as aa, CalloutMoreFooter as ab, CalloutText as ac, CalloutTitle as ad, Card as ae, CardBody as af, CardCategory as ag, CardFooterCTA as ah, CardReadMore as ai, CardSignature as aj, CardTag as ak, CardTagsHeader as al, CardText as am, CardTitle as an, Chip as ao, ChipLabel as ap, Collapse as aq, Dimmer as ar, DimmerButtons as as, Dropdown as at, DropdownMenu as au, DropdownToggle as av, FontLoader as aw, useFontLoader as ax, Forward as ay, GoBack as az, LinkListItem as b0, MegamenuFooter as b1, MegamenuHighlightColumn as b2, MegamenuItem as b3, Modal as b4, ModalBody as b5, ModalFooter as b6, ModalHeader as b7, Nav as b8, useNavScroll as b9, ToolbarItem as bA, _objectWithoutPropertiesLoose as bB, NotificationManager as ba, createNotification as bb, notify as bc, Pager as bd, Progress as be, Rating as bf, ResponsiveImage as bg, Section as bh, Select as bi, Sidebar as bj, Skiplink as bk, SkiplinkItem as bl, Spinner as bm, StepperContainer as bn, StepperContent as bo, StepperDots as bp, StepperHeader as bq, StepperHeaderElement as br, StepperNav as bs, ThumbNav as bt, ThumbNavItem as bu, TimelinePin as bv, Timeline as bw, Toggle as bx, Toolbar as by, ToolbarDividerItem as bz };
//# sourceMappingURL=index-82182399.js.map
