import React from 'react';
export interface BackToTopProps {
    /**
     * Optional classnames to pass to <a> element
     */
    className?: string;
    /**
     * Render the dark variant of the back to top button
     */
    dark?: boolean;
    /**
     * Render the small variant of the back to top button
     */
    small?: boolean;
    /**
     * Add a shadow to the button
     */
    shadow?: boolean;
    /**
     * Configure after how many scrolled pixels the button is shown
     */
    showOffset?: number;
}
export declare const BackToTop: ({ className, dark, small, shadow, showOffset }: BackToTopProps) => React.JSX.Element;
