import { ElementType, FC, HTMLAttributes, MouseEvent } from 'react';
export interface BottomNavItemProps extends HTMLAttributes<HTMLLIElement> {
    /** Utilizzarlo in caso di utilizzo di componenti personalizzati */
    tag?: ElementType;
    /** Classi aggiuntive da usare per il componente BottomNavItem */
    className?: string;
    /** Quando abilitato mostra l'elemento come attivo */
    active?: boolean;
    /** Indica l'URL a cui puntare (utilizzare o questo o onClick) */
    url?: string;
    /** Etichetta da associare all'elemento */
    label?: string;
    /** Testo esplicativo per dispositivi screen reader. */
    srText?: string;
    /** Icona da utilizzare per l'elemento */
    iconName?: string;
    /** Quando abilitato indica una sezione che richiede attenzione o presenta nuovi contenuti */
    alert?: boolean;
    /** Visualizza dei badge con indicazioni numeriche in alto a destra dell'icona */
    badge?: number;
    /** Da utilizzare al posto di url quando la gestione del click è in JS */
    onLinkClick?: (event: MouseEvent<HTMLAnchorElement>) => void;
    /**
     * Indica l'URL a cui far puntare il componente BottomNavItem.
     * @deprecated. Usare `url` o `onLinkClick`
     * */
    link?: string;
    testId?: string;
}
export declare const BottomNavItem: FC<BottomNavItemProps>;
