import { FC, HTMLAttributes } from 'react';
export interface DimmerProps extends HTMLAttributes<HTMLElement> {
    /** Il nome dell'icona da mostrare. Per una lista completa vedi: @TODO-URL */
    icon?: string;
    /** Le varianti di colore definite in Bootstrap Italia */
    color?: 'success' | 'warning' | 'danger' | 'note' | 'important' | string;
    /** Classi aggiuntive da usare per il componente Dimmer */
    className?: string;
    /**
     * Classi aggiuntive da usare per il componente contenitore del Dimmer
     * Per replicare il comportamento precedente, in cui `className` veniva applicato anche al wrapper,
     * passare `true`.
     * */
    wrapperClassName?: string | true;
    testId?: string;
}
export declare const Dimmer: FC<DimmerProps>;
