import React, { AnchorHTMLAttributes, ElementType, ReactChild } from 'react';
import { CSSModule } from 'reactstrap/types/lib/utils';
export interface HeaderBrandProps extends AnchorHTMLAttributes<HTMLAnchorElement> {
    /** Utilizzarlo in caso di utilizzo di componenti personalizzati */
    tag?: ElementType;
    /** Classi aggiuntive da usare per il componente HeaderBrand */
    className?: string;
    /** Oggetto contenente la nuova mappatura per le classi CSS. */
    cssModule?: CSSModule;
    /** Da usare con il componente Header Nav in versione "responsive" */
    responsive?: boolean;
    /** Da utilizzare per specificare URL risorsa esterna. */
    href?: string;
    /** Icona da utilizzare nel componente. Utilizzata unicamente quando l'Header è di tipo Center.  */
    iconName?: string;
    /** Alt text da utilizzare nell'icona. Utilizzata unicamente quando l'Header è di tipo Center.  */
    iconAlt?: string;
    /** Elementi React da renderizzare al proprio interno. */
    children: ReactChild | ReactChild[];
    testId?: string;
}
export declare const HeaderBrand: ({ className, href, iconName, iconAlt, children, tag, responsive, testId, ...attributes }: HeaderBrandProps) => React.JSX.Element;
